%global dlrn_nvr tripleo-heat-templates-14.3.1.dev1087-17.1.20231103003743.e7c7ce3
%global dlrn 1
%define upstream_version 14.3.1.dev1087
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x4c29ff0e437f3351fd82bdf47c5a3bc787dc7035

# guard for package OSP does not support
%global rhosp 1

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           openstack-tripleo-heat-templates
Summary:        Heat templates for TripleO
Version: 14.3.1
Release: 17.1.20231103003748.2%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-heat-templates-14.3.1.dev1087-17.1.20231103003743.e7c7ce3.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=e7c7ce3c60eea333cba4d43c6562e2f9bc5fb350
Patch0001: 0001-DOWNSTREAM-ONLY-Revert-Enable-CephDashboard-for-scen.patch
Patch0002: 0002-Adapt-on-puppet-rsyslog-update.patch
Patch0003: 0003-DOWNSTREAM-ONLY-Deprecate-CephPoolDefaultPgNum-and-C.patch
Patch0004: 0004-Revert-DOWNSTREAM-ONLY-Revert-Enable-CephDashboard-f.patch
Patch0005: 0005-Revert-Adapt-on-puppet-rsyslog-update.patch
Patch0006: 0006-DOWNSTREAM-ONLY-Pin-NovaHWMachineType.patch
Patch0007: 0007-Enable-post-copy-by-setting-unprivileged_userfaultfd.patch
Patch0008: 0008-DOWNSTREAM-ONLY-Enable-post-copy-by-setting-unprivil.patch
Patch0009: 0009-DOWNSTREAM-ONLY-stable-wallaby-backport-diff.patch
Patch0010: 0010-Create-separate-ovb-ha-file-for-downstream.patch
Patch0011: 0011-Add-support-for-HWOL-QoS-in-OVN-metadata-agent.patch
Patch0012: 0012-Fix-missing-OVN-NB-port-for-OVN-metadata-agent.patch
Patch0013: 0013-DOWNSTREAM-ONLY-Switch-to-leapp-repository-openstack.patch
Patch0014: 0014-DOWNSTREAM-ONLY-Add-Pure-Storage-FlashBlade-Manila-d.patch
Patch0015: 0015-Cleanup-instance-ha-dir-as-root.patch
Patch0016: 0016-Remove-restart-instructions-from-HC-script.patch
Patch0017: 0017-Fix-regression-in-nova-compute-startup-command.patch
Patch0018: 0018-ffwd3-Do-not-shut-down-pacemaker-during-upgrade.patch
Patch0019: 0019-ffwd-fix-typo-in-redis-resource.patch
Patch0020: 0020-Only-perform-IHA-scale-down-taks-when-necessary.patch
Patch0021: 0021-DOWNSTREAM-ONLY-Fix-Pure-Storage-FlashBlade-config.patch
Patch0022: 0022-Revert-ffwd3-Idempotency-fix-for-pacemaker-and-leapp.patch
Patch0032: 0032-Drop-usage-of-yaql-format-function.patch
Patch0033: 0033-Fix-the-redundant-bracket.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires:       ansible-pacemaker
Requires:       ansible-tripleo-ipsec
Requires:       ansible-role-atos-hsm
Requires:       ansible-role-container-registry
Requires:       ansible-role-chrony
Requires:       ansible-role-lunasa-hsm
Requires:       ansible-role-thales-hsm
Requires:       python3-jinja2
Requires:       python3-six
Requires:       openstack-tripleo-common >= 7.1.0
Requires:       tripleo-ansible >= 1.1.0
Requires:       python3-PyYAML
Requires:       rhel-system-roles
%if 0%{rhosp} == 1
Requires:       ansible-role-redhat-subscription
%endif

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0032 -p1
%patch0033 -p1

# Replace "env python" shebag to the correct python executable for the system
# if we don't do that brp-mangle-shebangs will change it to python2
for python_script in $(grep "/usr/bin/env python" . -rl)
do
    sed -i "s#/usr/bin/env python.*#%{__python3}#g" $python_script
done

%build
%{py3_build}

%install
%{py3_install}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar common %{buildroot}/%{_datadir}/%{name}
if [ -d docker ] ; then
  cp -ar docker %{buildroot}/%{_datadir}/%{name}
fi
cp -ar deployment %{buildroot}/%{_datadir}/%{name}

# docker_config_scripts will be removed in Stein
if [ -d docker_config_scripts ]; then
  cp -ar docker_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
if [ -d container_config_scripts ]; then
  cp -ar container_config_scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
if [ -d networks ]; then
  cp -ar networks %{buildroot}/%{_datadir}/%{name}
fi
if [ -d network-data-samples ]; then
  cp -ar network-data-samples %{buildroot}/%{_datadir}/%{name}
fi
if [ -d baremetal-samples ]; then
  cp -ar baremetal-samples %{buildroot}/%{_datadir}/%{name}
fi
if [ -d validation-scripts ]; then
  cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
fi
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
cp -ar ci %{buildroot}/%{_datadir}/%{name}
cp -ar plan-samples %{buildroot}/%{_datadir}/%{name}
cp -ar roles %{buildroot}/%{_datadir}/%{name}
cp -ar scripts %{buildroot}/%{_datadir}/%{name}
cp -ar tools %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python3_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python3_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python3_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Wed Apr 03 2024 Lon Hohberger <lhh@redhat.com> 14.3.1-17.1.20231103003748.2
- Fix the redundant bracket (rhbz#2270057)

* Mon Mar 25 2024 Priscila Gutierres <prgutier@redhat.com> 14.3.1-17.1.20231103003748.1
- Drop usage of yaql format function (rhbz#2270057)

* Thu Dec 14 2023 Priscila Gutierres <prgutier@redhat.com> 14.3.1-17.1.20231103010826
- Revert "[ffwd3] Idempotency fix for pacemaker and leapp" (rhbz#2253891)
- [DOWNSTREAM ONLY] Fix Pure Storage FlashBlade config (rhbz#2246563)

* Thu Nov 30 2023 Priscila Gutierres <prgutier@redhat.com> 14.3.1-17.1.20231103003747
- Only perform IHA scale down taks when necessary (rhbz#2251805)

* Wed Nov 29 2023 Priscila Gutierres <prgutier@redhat.com> 14.3.1-17.1.20231103003746
- [ffwd] fix typo in redis resource (rhbz#2247606)
- [ffwd3] Do not shut down pacemaker during upgrade (rhbz#2247606)

* Tue Nov 21 2023 Miguel Garcia <migarcia@redhat.com> 14.3.1-17.1.20231103003745
- Fix regression in nova-compute startup command (rhbz#2250187)
- Remove restart instructions from HC script (rhbz#2249626)

* Tue Nov 14 2023 Miguel Garcia <migarcia@redhat.com> 14.3.1-17.1.20231103003744
- Cleanup instance ha dir as root (rhbz#2249059)

* Thu Nov 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231103003743.e7c7ce3
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add certificate/key to db-upgrade temporary container

* Thu Nov 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231102194532.94032b2
- [DOWNSTREAM ONLY] Add Pure Storage FlashBlade Manila driver (rhbz#2246563)

* Thu Nov 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231102113746.94032b2
- Add certificate/key to db-upgrade temporary container (rhbz#2247477)

* Wed Nov 01 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231101233745.94032b2
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add support for OVS PMD load based sleeping

* Tue Oct 31 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231101003745.a5445bc
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Remove duplicate InternalTLSCAFile

* Mon Oct 30 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231031003748.1c60a7f
- Remove duplicate InternalTLSCAFile (rhbz#2246937)
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ffwd3] Update virtlogd image during system upgrade

* Thu Oct 26 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231027003740.8a20da5
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Make sure mysql_boostrap has the proper TLS certificate and key

* Wed Oct 25 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231025133742.7ab5bf8
- Make sure mysql_boostrap has the proper TLS certificate and key (rhbz#2246078)

* Mon Oct 23 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231023223744.7ab5bf8
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Comment infra_image in container.conf

* Sun Oct 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231022223747.31f6a60
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Pacemaker cleanup during scale_down task for Compute nodes

* Sat Oct 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231021223742.68b665a
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Do not stop the pacemaker cluster if this is a remote node

* Tue Oct 17 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231018003747.731b595
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ffwd3][update] Improve ovn update

* Mon Oct 16 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231016223753.0a7ead3
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Manage QEMU driver cgroups by monolithic libvirtd

* Sun Oct 15 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231015223744.61dc86b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ceilometer: Enable oslo.cache backend

* Thu Oct 12 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231013003750.358bad2
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Enable radvd to start as a side cart container by default

* Tue Oct 10 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231011003748.03c1758
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ffwd3] WA 2240185 fix schema v1 for podman
- Modify validation to enable "- if" on the upgrade_tasks
- Add "DhcpAgentNotification=true" in OVS DPDK template

* Thu Oct 05 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20231006003751.e17b173
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- cinder-volume-pacemaker leapp upgrade with NFS

* Mon Sep 25 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230925093751.e3b0a57
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- add parameter to change ns_records of /etc/designate/pools.yaml

* Fri Sep 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230923003750.6f73b77
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Reintroduce NFS mounts after leapp upgrade

* Fri Sep 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230922183743.d36821f
- Reintroduce NFS mounts after leapp upgrade (rhbz#2237743)

* Thu Sep 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230921163746.d36821f
- Update patches
- Support podman 4.0.0-
- Call tripleo_container_manage for FRR during updates
- Run podman install block in upgrade tasks
- [ffwd3][update] Run OVN external update only once
- Fix volume mount to preserve cinder-api's wsgi logs
- Horizon: Support Strict-Transport-Security header

* Thu Sep 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230921153745.8044b4b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Support podman 4.0.0- (rhbz#2223294)
- Call tripleo_container_manage for FRR during updates
- Fix volume mount to preserve cinder-api's wsgi logs (rhbz#2233457)
- Horizon: Support Strict-Transport-Security header

* Tue Sep 12 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230912083751.8044b4b
- Run podman install block in upgrade tasks (rhbz#2235621)

* Tue Sep 05 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230906003747.8044b4b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Clean up 13>16 upgrade stuff
- Honor OVNAvailabilityZone while setting ovn_cms_options

* Sat Sep 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230903013748.1ecdc0f
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Only run ovn_bgp_agent tasks from the tripleo_frr role

* Wed Aug 30 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230830103752.df461df
- [ffwd3][update] Run OVN external update only once (rhbz#2229761)
- Revert "[ffwd3][update] Run OVN external update only once"
- [ffwd3][update] Run OVN external update only once (rhbz#2229761)

* Tue Aug 29 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230829113743.df461df
- Only run ovn_bgp_agent tasks from the tripleo_frr role (rhbz#2235325)

* Sun Aug 27 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230828003754.df461df
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ffwd3] Upgrade ovn_controller ahead
- [ffwd3] Idempotency fix for pacemaker and leapp
- Fix Cinder Dell EMC SC backend template
- Add the possibility to override the OS definition for enforcement.
- Horizon: Stop setting CA certificate for client authentication
- Purge /var/lib/nova/instanceha
- Desigante: add DNS listen IPs to allow-notify list
- Not let empty param file
- Don't require client cert in horizon

* Tue Aug 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230822123810.9f4224d
- [ffwd3] Upgrade ovn_controller ahead (rhbz#2229761)

* Mon Aug 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230821163744.9f4224d
- Add the possibility to override the OS definition for enforcement. (rhbz#2223954)

* Wed Aug 16 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230817003819.9f4224d
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix Cinder Dell EMC SC backend template

* Tue Aug 15 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230816013904.efd13fb
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Duplicate Manila with CephNFS to work with ceph-ansible

* Sat Aug 12 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230813013850.2bcb0ca
- Update patches
- Allow 1993 port for HAProxy stats page

* Sat Aug 12 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230813003959.e63d633
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Allow 1993 port for HAProxy stats page (rhbz#2187877)

* Sun Aug 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230806064259.e63d633
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Exclude neutron haproxy containers when updating TLS certificates

* Sat Aug 05 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230805104023.2d08c30
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Partially revert "Instance HA: prevent compute to start on a host being evacuated"
- Revert "pcmk_remote FFU support for Instance HA"

* Tue Aug 01 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230801063745.d134056
- Revert "pcmk_remote FFU support for Instance HA" (rhbz#2225205)

* Mon Jul 24 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230725013748.d134056
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Set UpgradeLeappDebug to false

* Thu Jul 20 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230721003835.57a5a77
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- hostname_format rename on baremetal transition
- Make FrrBgpAsn a per-role parameter

* Tue Jul 18 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230718093846.036c615
- hostname_format rename on baremetal transition (rhbz#2222982)

* Mon Jul 17 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230718003909.036c615
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ffwd3] Switch UBI8 to UBI9 of collectd after OS upgrade

* Mon Jul 17 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230717143745.2dbbc7e
- [ffwd3] Switch UBI8 to UBI9 of collectd after OS upgrade (rhbz#2216476)

* Thu Jul 13 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230714003854.2dbbc7e
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix designate sRBAC overrides
- Run TLS-E in pre_deploy_step_tasks

* Thu Jul 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230706103744.3aca659
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Enable CAP_AUDIT_WRITE for some containers/steps
- Merge dict values no overwriting them
- [ffwd3] Fix node_names variable for cell stacks

* Thu Jul 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230706085024.ca47fc0
- Merge dict values no overwriting them (rhbz#2218519)

* Thu Jun 29 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230630005113.ca47fc0
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ensure that Redis is running
- Add parameter "CeilometerEnableTenantDiscovery"
- [ffwd3] Ability to run scripts before reboot
- Remove redis-bundle instead of warning the operator
- Ensure podman,sock ACL survives reboot
- Designate: conditionally force enable_new_defaults on
- [OSP=17.1] Use older rsyslog puppet class

* Thu Jun 29 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230629083951.5ac2617
- [ffwd3] Ability to run scripts before reboot (rhbz#2196288)

* Wed Jun 28 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230628094051.5ac2617
- Remove redis-bundle instead of warning the operator (rhbz#2158159)
- Ensure that Redis is running (rhbz#2158159)

* Tue Jun 27 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230627113545.5ac2617
- [ffwd3] Fix node_names variable for cell stacks (rhbz#2213458)

* Mon Jun 26 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230627003748.5ac2617
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ffwd] Tool to generate roles from another role

* Mon Jun 26 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230626153825.3c59c35
- [DOWNSTREAM-ONLY] Switch to leapp-repository-openstack (rhbz#2217494)

* Mon Jun 26 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230626123957.3c59c35
- [ffwd] Tool to generate roles from another role (rhbz#2016660)

* Sat Jun 24 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230624233907.3c59c35
- Update patches
- Set / Unset OSDs flags during system_upgrade
- [ffwd3] Prevent renaming nics with specific prefix
- Fix syntax error in designate policies

* Sat Jun 24 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230624223817.2de013d
- Designate: conditionally force enable_new_defaults on (rhbz#2214328)
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)

* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230621133746.2de013d
- Fix syntax error in designate policies (rhbz#2214328)

* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-17.1.20230621113816.2de013d
- [ffwd3] Prevent renaming nics with specific prefix (rhbz#2016660 rhbz#2142760)
- Set / Unset OSDs flags during system_upgrade (rhbz#2016660 rhbz#2215551)

* Fri Jun 09 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230610003812.2de013d
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Align FrrBgpAsn and FrrOvnBgpAgentAsn default values

* Thu Jun 08 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230608193800.8004d9f
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add CinderLVMConfigureVG

* Sun Jun 04 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230605003903.d08b361
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- multi-rhel: Added script for baremetal role transition

* Fri Jun 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230603005004.b22c65f
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ensure that octaviaclient is installed on the controllers
- Added script to copy params from a role

* Wed May 31 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230601003743.f18b02b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Allow clustercheck to wait before finishing

* Wed May 31 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230531214431.893037f
- Allow clustercheck to wait before finishing (rhbz#2207941)

* Tue May 30 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230531013745.893037f
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix mismatching policy keys titles

* Fri May 26 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230527003957.06e39a0
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [S-RBAC] Use ext_parent_owner rule in the Neutron QoS API policies
- Add missing description to some Octavia API parameters

* Fri May 26 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230526133956.c477c65
- Fix missing OVN NB port for OVN metadata agent (rhbz#2208948 rhbz#2210225)

* Thu May 25 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230526003951.c477c65
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix src-ceph permission issue
- Support update of ovn-controller when deployed in step4.

* Wed May 24 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230524113957.01c69fc
- Add support for HWOL QoS in OVN metadata agent (rhbz#2208948)

* Tue May 23 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230523224026.01c69fc
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Redis bundle is disabled after upgrade

* Mon May 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230522153954.c516b1a
- Update patches
- Add missing DesignateApiPolicies heat variable
- Fix admin and internal Glance endpoint ports
- Use /run/nova/startup/ for nova-comp delay script
- HA: minor update with new container image name

* Mon May 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230522143952.f602c2b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add missing DesignateApiPolicies heat variable
- HA: minor update with new container image name

* Fri May 19 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230519143954.f602c2b
- Fix admin and internal Glance endpoint ports (rhbz#2184424)

* Thu May 18 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230518204745.f602c2b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Designate mDNS: restrict access to internal network
- Fix requirement to track wallaby.

* Thu May 18 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230518113958.7ee4d03
- Use /run/nova/startup/ for nova-comp delay script (rhbz#2173939)

* Tue May 16 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230517014022.7ee4d03
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [S-RBAC] Fix policy for neutron's get_rule_type API call
- Update Neutron's QoS Secure RBAC policies

* Sat May 13 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230514013956.cc05f8d
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Update resync default value for the agent
- Fix glance-api deployment in a DCN environment
- Fix glance worker_self_reference_url
- [OSP-17.1] Add missing configuration

* Wed May 10 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230511013953.f1e65f0
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [OSP-17.1] Report running containers as healthy

* Tue May 09 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230510014016.83edf59
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Split OVNBgpAgent from Frr and add src_ip and router_id parameters

* Thu May 04 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230505014040.9fbc89a
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix CeilometerAgentIpmi service to gather and report power metrics
- [OSP-17.1] Don't bind podman volume without sensubility
- Add new paramater "CeilometerEnableTenantDiscovery"
- Add configuration for Octavia multi-vCPU flavor
- Add Redis password to designate central service
- Designate: format listen addr properly when ipv6

* Wed May 03 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230503133958.004ef6e
- [OSP-17.1] Don't bind podman volume without sensubility (rhbz#2176250)

* Wed May 03 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230503063949.004ef6e
- [OSP-17.1] Add missing configuration (rhbz#2180883)
- [OSP-17.1] Report running containers as healthy (rhbz#2179006)

* Tue May 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230502143953.004ef6e
- Add new paramater "CeilometerEnableTenantDiscovery" (rhbz#2187255)

* Tue May 02 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230502133951.004ef6e
- Fix CeilometerAgentIpmi service to gather and report power metrics (rhbz#2169303)

* Fri Apr 28 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230428133956.004ef6e
- Revert "Use /run/nova/ for nova-comp delay script" (rhbz#2190408)

* Tue Apr 25 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230425164021.004ef6e
- Use /run/nova/ for nova-comp delay script (rhbz#2166989)

* Sat Apr 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230423003954.004ef6e
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add volume mounts required for NVMe-oF cinder backend

* Thu Apr 20 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230421004001.7a840d5
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add update of OVN cluster container.
- Set the correct path for pacemaker logs in rsyslog
- Use dumb-init for nova migration target cmd
- Parameters for API policies to show a host status

* Sat Apr 15 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230416005944.24b0875
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- multi-rhel-container-image-prepare.py
- [ffwd3] Fix ovn_controller outage during upgrade

* Tue Apr 11 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230412014000.2e6d826
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix cinder-backup when running active/active
- Remove neutron sidecar containers in more reliable way

* Thu Apr 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230407003839.238b27b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Update Neutron S-RBAC policies with what is in Neutron repo now

* Tue Apr 04 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230404123903.563f2cd
- Update Neutron S-RBAC policies with what is in Neutron repo now (rhbz#2176187)

* Sat Apr 01 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230402013955.563f2cd
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix CinderNVMeOFTargetProtocol: restore the type
- Octavia Jobboard integration

* Thu Mar 30 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230331014444.1925ad4
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fixed first boot upgrade with leapp
- FFWD3: Refactor system upgrade

* Wed Mar 29 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230330013846.23651a8
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ensure ovn match northd parameter is set to false during update.

* Mon Mar 27 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230327223752.374c31e
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [Wallaby Only] Switch mixed-os job to OVN raft

* Sat Mar 25 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230325223755.3d9ac2e
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Cinder NVMe-oF fixes

* Thu Mar 23 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230323223840.9a61372
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add legacy monolithic libvirt service for FFUv3

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230322233801.57a2a69
- Update patches
- Add Octavia amphora logs to tripleo_logging_sources
- Fix OctaviaApiLoggingSource default value
- Support actual hostnames in DeploymentServerBlacklist
- Fix wrong tcp port for heat-cfn endpoint with ssl
- Fix octavia_rsyslog container startup
- HA: enable new container image name by default
- Allow for jinja2 templating of puppet_config
- set ceph rgw_max_attr_size default to 1024
- Revert "Run virtqemud with umask 0027"
- Add until to retry pulling the container images
- Rectify service_name in ceph monitor's hieradata
- Add IronicEnableNovaPowerNotifications parameter
- [Octavia] Set octavia *_log_targets params with tripleo-ansible
- Replace remaining usage of /var/run

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230322223831.eef23eb
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add Octavia amphora logs to tripleo_logging_sources
- Fix OctaviaApiLoggingSource default value
- Support actual hostnames in DeploymentServerBlacklist
- Fix wrong tcp port for heat-cfn endpoint with ssl
- Fix octavia_rsyslog container startup
- HA: enable new container image name by default
- Allow for jinja2 templating of puppet_config
- set ceph rgw_max_attr_size default to 1024 (rhbz#2167161)
- Add until to retry pulling the container images
- Rectify service_name in ceph monitor's hieradata (rhbz#2116340)
- Add IronicEnableNovaPowerNotifications parameter
- [Octavia] Set octavia *_log_targets params with tripleo-ansible
- Replace remaining usage of /var/run

* Fri Feb 24 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230224224259.eef23eb
- Revert "Run virtqemud with umask 0027" (rhbz#2167102 rhbz#2166979)
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [wallaby-only][ffwd] Fix unused DB users cleanup

* Tue Feb 21 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230221225711.5ad62f3
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ansible package changed name to ansible-core, update exclude value
- Octavia ryslog container image set incorrectly
- Move podman socket

* Fri Feb 17 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230218004339.fdce50a
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add ceph cluster's fsid to collectd hieradata
- Set ovn-monitor-all before ovn-controller update.
- Set external_ids:ovn-ofctrl-wait-before-clear

* Thu Feb 16 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230216224226.be71e7f
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Bind /run/udev into the multipathd container

* Sat Feb 11 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230211223744.16b0e65
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix dependency for nested attributes

* Tue Feb 07 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230207224936.8f3f285
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Capping ansible-lint version

* Sun Feb 05 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230206003905.a8892aa
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Role-spec NovaComputeStartupDelay

* Fri Feb 03 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230204013751.e9e1032
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add a tag for package setup
- Designate/Octavia: Use HA Redis by default

* Tue Jan 31 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230131225519.ae71a9d
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Replace qdrouterd backend with rabbitmq in Sc03
- Support setting ovn-ofctrl-wait-before-clear

* Fri Jan 27 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230128004533.33e6f8d
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [wallaby-only] Fix GlanceApi service in mixed-os job

* Wed Jan 25 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230125223825.d766979
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Deploy separate glance-api services for OSSN-0090
- Fix logs permissions for swtpm
- Allow customizing policy rules for Placement Api

* Fri Jan 20 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230121003913.ccc96f6
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- FFWD3: Bump container-rools to latest
- [wallaby-only][ffwd] Provide working dir to provisioned node extraction

* Thu Jan 19 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230119223841.ee3f329
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ensure cinder-volume pcs task has correct become
- Fix wrong parameter type of KeystoneCronTrustFlush*
- Expose /var/lib/glance to cron container

* Tue Jan 17 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230117223831.989dd46
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Set DhcpAgentNotification to be "false" by default

* Thu Jan 12 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230112234913.46daad7
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Set gcomm_cipher to an appropriate value if FIPS is enabled
- Allow overriding mysql_bundle::gcomm_cipher
- Fix list_concat for Nfs mounts

* Tue Jan 10 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230110224818.53148b4
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Support role specific ContainerImagePrepare
- Removing NIC scripts as the heat network config is no longer supported

* Fri Jan 06 2023 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20230106223943.7f43516
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Changed minversion in tox to 3.18.0

* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221226020453.9ada52b
- Update patches

* Fri Dec 16 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221216115313.9ada52b
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add support for new ovn-bgp-agent config flag

* Sat Dec 10 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221210224253.73c42b2
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Run virtqemud with umask 0027

* Mon Dec 05 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221205224415.957cb5d
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix trailing slashes in bind-mounts and linting

* Fri Dec 02 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221203013818.64cacfa
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Use python to template cell urls
- [wallaby-only][ffwd] Delete OVNDBs pacemaker resource

* Wed Nov 30 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221201003758.dbaece6
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Use --force when creating pacemaker resources
- Fix tripleo_delegate_to parameter in heat-engine

* Mon Nov 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221129003846.623465e
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix openstack-tox* failures

* Thu Nov 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221118014646.fc038b6
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- container-puppet.sh idempotency on restart
- Allow for jinja2 templating of docker_config
- Octavia: Accept lists for Ciphers parameters
- Nova: Start nova-compute after its NFS backend is ready

* Fri Nov 11 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221112023707.a628931
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix tls-e CA cert declaration for OVN

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221108085026.9a8af5e
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix tls-e CA cert declaration for FRR

* Fri Oct 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221029013725.36d0e18
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Apache: Use only required modules

* Wed Oct 26 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221026063850.fd0b574
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Replace dnf by tripleo_dnf_stream for undercloud upgrade
- Sets higher values for timeouts

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221021233709.e0b7bbd
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Allow overriding corosync token_timeout
- Replace dnf by tripleo_dnf_stream for updates.

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221021170921.fbb1b99
- Update patches
- Run nova_wait_for_compute_service only for the default cell deployment
- Heat: Present policy rules for all services
- Fix kill-script search string to match any "/libpod-"

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221021133818.a35b643
- Update patches

* Tue Oct 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221018233755.a35b643
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Run nova_wait_for_compute_service only for the default cell deployment
- Heat: Present policy rules for all services
- Fix kill-script search string to match any "/libpod-"

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221014183714.a35b643
- Update patches
- Enable post-copy by setting unprivileged_userfaultfd
- Eliminate unnecessary role looping in deploy-steps.j2
- Breakdown the deploy-steps playbook
- Ensure container's image get updated if their name stay the same.
- Fix permissions for nova/libvirt VNC certs/keys

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221014093717.8a205f8
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Eliminate unnecessary role looping in deploy-steps.j2
- Breakdown the deploy-steps playbook
- Ensure container's image get updated if their name stay the same.

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221005153721.8a205f8
- Update patches

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221005125403.8a205f8
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Enable dns_domain_ports extension by default
- Change --start-at-task for plays using tripleo_free
- Filter excluded nodes from ansible delegates

* Mon Oct 03 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20221003154838.4861573
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Copy ssh_keys from mistral environment locally
- Octavia: Remove unused cleanup tasks of tls_proxy container
- Add parameter OVNEncapTos
- Ceilometer: Ensure the ResellerAdmin role exists

* Fri Sep 30 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220930113712.dd47106
- Create separate ovb-ha file for downstream (rhbz#2110535)

* Tue Sep 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220928014049.dd47106
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Role specific container support
- Drop DeployedServer resources
- Add custom seccomp profile for ephemeral heat
- Remove the python3-openclient and add a new task.
- Correct label for /run/libvirt
- Remove argument to ssh-keygen for key size
- Fix Update ovn_controller. from external-update playbook
- Set /run/podman ACL before starting collectd

* Mon Sep 19 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220920003732.2b27b46
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Ensure /run/frr is present after (re)boot
- Add role specific settings for ovn_bgp_agent parameters
- Make sure sensubility has proper permission
- Fix typo in code

* Sat Sep 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220917164607.39be6cf
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add 'ResellerAdmin' role to ceilometer user
- Remove unneeded parameter tripleo_frr_ovn_bgp_agent_bridge_mappings
- Wallaby-only: Fix role specific FrrOvnBgpAgentDriver

* Mon Sep 12 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220912114509.1d6d040
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Do not change ownership recursive for Swift
- Fix nova_libvirt_max_queues_set conditions for nova-compute
- Enable designate-dashboard
- Fix unit test discovery
- Add support for log offloading over TCP

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220906204229.7af7da2
- Update patches
- Fix merge of multiple firewall rules
- Fix collectd-sensubility script output

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220906193843.a9969d0
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)

* Thu Sep 01 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220901173720.a9969d0
- [DOWNSTREAM-ONLY] stable/wallaby backport diff (rhbz#2091076)

* Thu Sep 01 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220901064111.a9969d0
- Fix merge of multiple firewall rules (rhbz#2120474)

* Tue Aug 30 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220830143148.a9969d0
- Fix permissions for nova/libvirt VNC certs/keys (rhbz#2122601)
- [DOWNSTREAM-ONLY] Enable post-copy by setting unprivileged_userfaultfd (rhbz#2122172)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Introduce ExternalCeph boolean
- Fix conditions for libvirt_file_backed_memory_enabled
- Ensure mode is correct for the tmp directory
- Revert "Workaround for subscription-manager"
- Fix wrong parameter assignation
- [Stable only] Apply IronicIPXEUefiSnpOnly to uefi_pxe_bootfile_name
- Enable Horizon in CI

* Mon Aug 29 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220829144516.f7e97cb
- Fix collectd-sensubility script output (rhbz#2091076)
- Set /run/podman ACL before starting collectd (rhbz#2091076)
- Make sure sensubility has proper permission (rhbz#2091076)

* Tue Aug 23 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220823143721.f7e97cb
- Revert "Workaround for subscription-manager" (rhbz#2119239)

* Sat Aug 20 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220820225751.f7e97cb
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Use the new tripleo_auditd ansible role instead of puppet
- Add ipv6 support in environments/deployed-network-environment.j2.yaml
- Disable [oslo_messaging_rabbit] heartbeat_in_pthread
- Fix ovsdb-server for IPv6 listening addresses
- Set host_routes in environments/deployed-network-environment.j2.yaml
- Make libvirt-guests service work with deprecated monolithic libvirt
- Set OVSDB Connection.probe_interval
- Fix ignored NovaLibvirtMaxQueues
- Update sensubility's container health check

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220818155147.39cc6bc
- Update patches
- Fix net_cidr_map in environments/deployed-network-environment.j2.yaml
- Fix TRIPLEO_CONFIG_HASH generation
- Bind mount swtpm logs in libvirt virtqemud container
- Remove ctlplane-subnet from example file.
- Default to OVN raft clustering
- Use conditions with Host prep block tasks
- Ensure cell0 database uri is correct
- Do not override CephClientConfigVars in standalone scenarios
- [Wallaby-Only]Fix glance SRBAC policies
- Fix libvirt-guests handling post virt-guest-shutdown
- Add credentials cache for novajoin user

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220818135824.b300341
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix net_cidr_map in environments/deployed-network-environment.j2.yaml
- Fix TRIPLEO_CONFIG_HASH generation (rhbz#2083016)
- Bind mount swtpm logs in libvirt virtqemud container
- Remove ctlplane-subnet from example file.
- Default to OVN raft clustering
- Use conditions with Host prep block tasks (rhbz#2084075 rhbz#2111237)
- Ensure cell0 database uri is correct (rhbz#2030191)
- Do not override CephClientConfigVars in standalone scenarios
- [Wallaby-Only]Fix glance SRBAC policies
- Fix libvirt-guests handling post virt-guest-shutdown
- Add credentials cache for novajoin user

* Wed Aug 10 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220810164215.b300341
- Enable post-copy by setting unprivileged_userfaultfd (rhbz#2110556)

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220802093819.b300341
- Update patches
- Move rndc traffic onto bind network
- Octavia: Present certificates to driver-agent
- Configure OVN sb connections for the OVN provider

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220802084202.bc5ec52
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Octavia: Present certificates to driver-agent
- Configure OVN sb connections for the OVN provider

* Fri Jul 29 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220729193839.bc5ec52
- Move rndc traffic onto bind network (rhbz#2112451)

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220729014222.bc5ec52
- Update patches
- Include redis templates in Octavia configuration
- Galera: initial support for mariabackup SST
- Include octavia::driver_agent via puppet-tripleo
- Fix bindep for EL9 platforms
- Enable octavia driver agent puppet

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220729003911.b17c181
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Include redis templates in Octavia configuration
- Galera: initial support for mariabackup SST
- Include octavia::driver_agent via puppet-tripleo
- Fix bindep for EL9 platforms
- Enable octavia driver agent puppet

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220728094253.b17c181
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [wallaby only] remove Rear from mixed-os ci environment file
- Fix missing roles for Octavia services
- Fix restarting cinder HA services on config change
- Adds multinode-containers-mixed-os.yaml env for mixed OS job
- Remove the Backup and Restore ReaR Heat templates
- Allow ceilometer compute agent to access /run/libvirt

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220727201826.b9e3684
- Stop generating certificate requests for disabled networks (rhbz#2088526)
- Added NovaDisableComputeServiceCheckForFfu var (rhbz#2096803)
- Start ceilometer-compute after libvirt is started (rhbz#2107454)
- Remove the Backup and Restore ReaR Heat templates (rhbz#2097611)
- Skip Enable cleanup service in check mode (rhbz#2106807)
- Fix missing roles for Octavia services (rhbz#2101846)
- Fix restarting cinder HA services on config change (rhbz#2106643)
- Remove ineffective ovn_remote_probe_interval (rhbz#2105312)
- [DOWNSTREAM-ONLY] Default to OVN raft clustering (rhbz#2104565)
- [ML2 OVN] Add OVNOvsdbProbeInterval parameter (rhbz#2105312)
- [DOWNSTREAM-ONLY] Pin NovaHWMachineType (rhbz#1946978)
- Designate: support configuring non-ooo-deployed binds (rhbz#2008274)
- Allow configuring the base port of the mini DNS proxy endpoints (rhbz#1897319)
- Designate: configure collocation IP on bind and neutron dns integration (rhbz#1884782)
- Revert "Adapt on puppet-rsyslog update" (rhbz#2083666)
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- [collectd] Remove processes plugin from default list (rhbz#2101948)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-1.20220718142646.b9e3684
- Revert "[DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001"" (rhbz#2104372)
- Allow ceilometer compute agent to access /run/libvirt (rhbz#2103969)
- [DOWNSTREAM-ONLY] Deprecate CephPoolDefaultPgNum and CephPoolDefaultSize (rhbz#2081592)
- Adapt on puppet-rsyslog update (rhbz#2083666)
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Skip Enable cleanup service in check mode
- [ML2 OVN] Add OVNOvsdbProbeInterval parameter
- Remove ineffective ovn_remote_probe_interval
- Designate: support configuring non-ooo-deployed binds
- Allow configuring the base port of the mini DNS proxy endpoints
- Start ceilometer-compute after libvirt is started
- [collectd] Remove processes plugin from default list
- Add merge strategy for ExtraConfig
- Designate: configure collocation IP on bind and neutron dns integration
- ironic tftp: Do not format IPv6 address for bind_host
- THT cleanup of scenario001/004/010 for Deployed Ceph
- Neutron: Explicitly set the default hepervisor name
- Stop generating certificate requests for disabled networks
- Remove leftover of ntp service
- Add generated deployed network environment
- Add test-requirements.txt in tox-tht deps
- Fix typo in aodh-base template
- Remove StackAction from Octavia deployment
- Fix commands for configure_ovn_north/south_db_server
- Remove StackAction/StackUpdateType
- Comment out the empty "parameter_defaults"
- Make tools scripts executable
- Drop non-bundle manila from puppet-config
- Simplify HostnameResolveNetwork in ServiceNetMap
- Neutron: Set br-int as default integration bridge
- Only reference _bundle manifests in cinder-{backup,volume}-pacemaker-puppet.yaml
- Add SwiftSystemReader role when Rbac is enabled
- Render all_nodes_data in check mode
- Add CephRbdTrashSchedulerEnable boolean
- Fix rgw ssl_verify option key
- Deprecate env/enable-designate in favor of env/services/designate.yaml
- Fix service dependency on libvirt daemons
- Fix run_after of certs_requests in modular libvirt
- Moves the shared zuul queue tripleo to the project level
- Fix 'Ensure DNF modules have the right stream'
- etcd: fix service config to work with latest versions
- Restore missing SAN IP in etcd cert
- Remove Nova from undercloud during upgrades
- Added NovaDisableComputeServiceCheckForFfu var
- Update of OVN controllers as an external task.
- Fixing typo in HAProxyBase for DCN
- Use Octavia's own default user_log_format value
- Workaround for subscription-manager
- Remove legacy network-isolation env files
- Ironic: Use generated dnsmasq conf file
- Deprecate SshServerOptionsOverrides
- Add map merge strategy for {{role.name}}Parameters
- Use server side env merging for ServiceNetMap/VipSubnetMap
- [only-wallaby] Fix the ceph-ansible package remove task
- Remove support for collectd-gnocchi
- Horizon: Fix missing firewall rule for ssl backend
- Deprecate DnsServers THT parameter
- Disable crl file in non-pacemaker haproxy too
- Add ceph_infra tag to the skip list
- Enable notification from Keystone when Barbican is enabled
- Only specify nfsver for local Nova NFS backend
- Added rabbit FIPS flag to FIPS env fle
- Only run mysql upgrade commands when needed
- Filter empty string in PingTestGatewayIPsMap yagl
- Don't cleanup catalog entries in check mode
- Specify steps for some of the upgrade tasks
- Add service OS::TripleO::Services::ManilaBackendPowerMax
- Horizon: Enable client ip detection by X-Forwarded-For header
- Stop generating certificate requests for disabled networks
- Add missing cert generation tasks to glance-api
- Switch to stestr
- Remove sidecar containers after SIGTERM is send to stop them
- Define frontend firewall rules separately
- Use EnableInternalTLS to set pssl in nb and sb
- Add OVNContainerCpusetCpus
- Clean up usage of the deprecated aodh::auth class
- Cleanup openldap certs database
- Ceilometer: Remove incomplete cache parameters
- Add a note about how glance currently supports project personas
- Add CephNfs service on roles providing "external" network connectivity

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220519001841.3965818
- Update patches
- Deprecate ineffective ManilaCephFSCephFSEnableSnapshots
- Manila: Deprecate ineffctive *DriverHandlesShareServers
- Add IPA client service to Cell ctrlr role
- [stable-only] Enable manila api policy configuration
- Add RabbitFIPS parameter

* Wed May 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220518231841.4edb55d
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Deprecate ineffective ManilaCephFSCephFSEnableSnapshots
- Manila: Deprecate ineffctive *DriverHandlesShareServers
- Add IPA client service to Cell ctrlr role (rhbz#2064830)
- [stable-only] Enable manila api policy configuration
- Add RabbitFIPS parameter

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220513221829.4edb55d
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add DNS resolver forwarding support to Unbound

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220513001934.e2ceee2
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Revert "Don't use upper-constraints for pep8 target"
- Install ansible.posix.debug stdout callback plugin
- Set rx permissions for all in /var/lib/config-data

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220506231921.7b9b4ef
- Update patches
- Add AdminPassword and KeystoneRegion stack outputs
- Don't use hardcoded subnets in VipSubnetMap

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220506222321.6f1aed5
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add AdminPassword and KeystoneRegion stack outputs
- Don't use hardcoded subnets in VipSubnetMap

* Wed May 04 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220504163200.6f1aed5
- Update patches
- Fix Redis config generation when fd limit changes

* Wed May 04 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220504151843.935261d
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix Redis config generation when fd limit changes

* Wed Apr 27 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220428004525.935261d
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Disabling container validation when running redhat-subscription

* Sun Apr 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220418002239.c3cee34
- Update patches
- Add nvidia firstboot yaml to tripleo-heat-template

* Sun Apr 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220417231949.55e0447
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add nvidia firstboot yaml to tripleo-heat-template

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220416022231.55e0447
- Update patches
- Fix CinderDefaultVolumeType constraints
- Correct hieradata for neutron log rate limiting for ovn
- Skip 'ensure dnf modules' for CS9 on undercloud-upgrade
- Set hieradata for the aodh::service_credentials class
- Don't add conntrack entries for vxlan
- Designate: miniDNS and bind9 instances on the proper networks

* Fri Apr 15 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220416012553.eddbbce
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix CinderDefaultVolumeType constraints (rhbz#2073096)
- Correct hieradata for neutron log rate limiting for ovn
- Skip 'ensure dnf modules' for CS9 on undercloud-upgrade
- Set hieradata for the aodh::service_credentials class
- Don't add conntrack entries for vxlan
- Designate: miniDNS and bind9 instances on the proper networks

* Sun Apr 10 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220410231850.eddbbce
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Don't use upper-constraints for pep8 target
- Move permissions from neutron to ovn-bgp
- Add support for powermax.
- Add Octavia TLS parameters

* Mon Apr 04 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220404171926.75fd885
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Disable auto discovery

* Fri Mar 25 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220326002015.0c4fa85
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Memcached: Allow puppet to be aware IPv6 is used

* Thu Mar 24 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220324062629.387e2d9
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Etcd: Update cluster membership when replacing a node
- Have Ceph log to a file for scenario 001/004
- Add support for ovn bgp agent
- Add HostnameFormatDefault for Ceph related roles
- Use FQCN for ansible builtin tasks
- Increase stop_grace_period for Octavia controller services
- Add missing option for rgw/swift compatibility
- Added log volumes for ceilometer-agent-ipmi
- Fix network-environment.yaml ipv6 {{network.name}}Routes
- Adding Hugepages role parameter

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220317195120.4b13772
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix typo in HciCephObject role tag
- Disable GSSAPIAuthentication by default
- Fix sshd host_prep_tasks
- Update Ceph client service to handle external Ceph
- Properly set ceph-ansible extra_vars and tags for cephadm-adopt
- Handle ping test ips when not available

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220307004703.09c1ce2
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Update Barbican Orders policy for secure-rbac
- Expose tripleo_cephadm_default_container boolean
- Required DDP package is not loaded issue
- Update Barbican Secure-RBAC policy

* Mon Feb 28 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220228223501.3ad4133
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Allow nic-config conversion without Heat
- Adds C9 content provider with linting deps like C8

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220226002240.b9c8e20
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Allow deployments to run when selinux is disabled

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220224221942.92d84e5
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Exclude /etc/openldap to avoid overriding ro file

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220223102220.3016483
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Remove "ceph" tags for the TripleO cephadm branch
- IDM server registration is fixed to one server only

* Fri Feb 18 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220218222227.e513f77
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Don't bind host's /run in multipathd container
- Fix OS_CLOUD for multistack and nova az tasks
- Skip podman purge on Undercloud

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220218004249.565dbd0
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- nova_libvirt_init_secret Give a proper error if ceph is not configured properly
- Add logging source for collectd

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220212002359.4c3adff
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add IronicNeutronAgentReportInterval parameter
- Manage octavia flavor in tripleo-ansible

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220210221957.19690ca
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Disable heat by default in favor of ephemeral-heat.
- Implement project personas in custom designate policy file

* Wed Feb 09 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220209174826.1e56de9
- Update patches

* Tue Feb 08 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220208221958.1e56de9
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Start the neutron metadata agent with cgroupns host
- Drop Nova and NovaJoin services from UC role data
- Allow neutron to configure secure RBAC options
- Nova: Use internal endpoint to access Keystone
- Implement project personas in custom barbican policy file

* Mon Feb 07 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220208002319.dea0c72
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add parameter IronicIPXEUefiSnpOnly

* Fri Feb 04 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220205003100.058243c
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Start the l3 agent with cgroupns: host
- Check that redis is removed prior to FFU

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220204022106.9b9ecb3
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add ovn_chassis_mac_map to ExtraConfig role
- Defining fs.aio-max-nr for hosts with libvirt service
- Implement project personas in custom keystone policy file
- Do not error out when a network is ipv6 only
- Configure logging for designate bind backend
- Update project personas policies in custom neutron policy
- Implement project personas in custom neutron policy file
- Implement project personas in custom placement policy file
- Implement project personas in custom nova policy file
- Update dervice_pci script to handle pci address formats
- Add IronicDefaultBootInterface parameter
- Fix cloud-init detection rules
- Align services of ControllerSriov role
- Use only internal endpoints in Octavia controller services
- Nova: Use internal endpoint to access Neutron API

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220126224917.ab3bf91
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Check if passthrough user_config is decoded properly from hiera data
- Pass OS_CLOUD env when migrating to heat ephemeral.
- Include subnet in unbound colloc port creation to ensure IP allocation
- Disable libvirtd and stop it
- Add ironic-inspector TLS endpoint port to be reachable
- Run designate-api under apache

* Sat Jan 22 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220122231104.b9a3359
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Revert "Update cell0 db connection, if required"
- Reduce frequency of task retries
- Make sure libvirt guests shut down before network
- Set default for network.ip_subnet
- Add parameters for manila storage availability zones
- Update cell0 db connection, if required

* Fri Jan 14 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220115004641.91bf7b1
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add ephemeral Heat entry to clouds.yaml
- Move ephemeral heat upgrade to the service
- Disable metrics_qdr binding in HAProxyEdge
- Fix killscript regex match for libpod-conmon-*
- Move *NetworkConfigTemplate to parameter_defaults
- Use public endpoint for [keystone_authtoken] www_authenticate_uri
- Enable enable_proxy_headers_parsing in Designate API

* Sat Jan 08 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220109002923.5ff09a8
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add chrony waitsync back in

* Sat Jan 01 2022 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20220101221846.7e33783
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [Wallaby] Fix wrong resource name for ovs-dpdk service

* Thu Dec 30 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211230221838.672c519
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix IPv6 router on UC re-install

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211224003835.0498f2f
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix IronicImageDownloadSource on undercloud
- Exec libvirtd in a transient scope
- Add CephAdmVerbose variable
- Add missing services to ControllerNovaStandalone role
- Change authentication method for Mellanox sdn controller
- Allow configuring secure RBAC in glance
- Implement project personas in custom cinder policy file
- Use a designate specific directory for the bind persistent storage

* Tue Dec 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211222004017.0f967f7
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- fix InternalApi subnet for ControllerNovaStandalone role
- Fix convert_v1_net_data.py - ipv6 property
- Implement project personas in custom manila policy file
- Implement project personas in custom ironic policy file
- Implement project personas in custom octavia policy file
- Allow configuration of the managed resource email address
- Add support for setting min TTL limit in designate

* Sun Dec 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211219122836.f8d8889
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix external-ceph deployment directory reference
- Remove tripleo_ovn_mac_port_name port tag
- Add param to configure neutron agent_down_time and report_interval

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211216165726.70297f6
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Missing rsyslog parameters for HAProxy
- Add templates for custom network ci job
- Add a configuration option to enable secure RBAC in Heat
- set manila context-is-admin policy rule for secure-rbac
- Set default value of IronicDefaultBootMode to uefi
- Add parameter IronicDefaultBootMode
- Introduce a new linter for yaml-validate, and correct issues
- Ensure we bind-mount /dev instead of /dev/
- Add environment file for FIPS deployments
- Sc04: Enable glance sparse image upload

* Thu Dec 02 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211203041856.13b1bcb
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add a global configuration option for secure RBAC
- Allow Swift to configure secure RBAC options

* Fri Nov 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211127001845.d48e51e
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Revert "Enforces minimum Ceph client version to Mimic"

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211125002941.cf9e3d6
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Implement a tool for converting policy.yaml files to heat templates
- Honor the ExternalSwiftUserTenant parameter

* Mon Nov 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211123003057.d1aae4c
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix condition to add per subnet routes parameter

* Sun Nov 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211122001854.ed121f2
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Apache: increase the base timeout
- Remove hieratada for ceilometer::agent::auth

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211120001957.4033129
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [Pure Storage] Add new FlashArray Cinder driver params

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211119061859.4928583
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [Neutron] Add custom env file to set dns_domain_name

* Thu Nov 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211119001859.a674a01
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add ping test for all networks gateway IPs

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211118002909.549cbe8
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Keystone: Remove unused container_puppet_tasks

* Sat Nov 13 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211114001857.a62e980
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- [ovn] Deleting ovn agents during scale down tasks

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211113003121.5004eb6
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix logic related to CinderEtcdLocalConnect parameter
- Clean up implementation to manage volume type by puppet
- Wallaby and older: Remove heat-dashboard parameters from local_settings
- Explicitly point undercloud instead of localhost

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211112142847.70de868
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add rgw max attributes constraints
- Add <service>_api_paste_ini in puppet_tags

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211110004405.57b19da
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Clear up confusion on cinder's default volume type
- Fix artifact module usage
- Enable ovn-monitor-all option to ovn-controller

* Mon Nov 08 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211108122127.653069c
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Remove double slashes in path
- Fix set_fact on the CephMgrAnsibleVars
- Remove ENABLE_* environment about puglins not installed
- Ironic: Do not override bootfile_name

* Wed Nov 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211104003229.f780e0c
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Refactor usage of QemuMemoryBackingDir
- Set stop grace periods for designate services
- Use ServiceNetMap to filter PublicNetwork in haproxy-tls

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211102223222.a0efc60
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add parameter IronicPowerStateChangeTimeout
- Don't use service_net_map_replace in krb-svc-principals
- Enable support for Libvirt modular daemons

* Sat Oct 30 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211030221907.6b66b70
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Remove mariadb-server packages from the host
- Add OVNAvailabilityZone to improve UX

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211029010353.4dfc652
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Remove ganesha_vip extra config workaround
- Remove network_virtual_ips hard-coded name filter
- GaneshaNetwork - fallback -> external -> ctlplane
- Add InternalApiNetwork entry in ServiceNetMap
- Default CephDashboardNetwork to storage_dashboard
- Adding NovaMkisofsCmd parameter to nova-compute
- Allow configuring distributed image import
- Added support for Neutron loggings service plugin configuration

* Tue Oct 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211026162039.35ab8cd
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Do not set rabbitmq SSL CA certs when InternalTLSCAFile is ''

* Fri Oct 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211023001916.0ead738
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Flatten yaql list expressions

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211022003059.1e347f5
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Do not ask for cephdashboard certificates when it is disabled

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211021072152.aa4de7d
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Drop UndercloudMinion environments

* Wed Oct 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211020080913.fa7038d
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix VLAN placement
- Enable new SELinux boolean for vTPM support
- Flatten yaql list expressions

* Sat Oct 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211017003135.5ede212
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Use yaml.safe_load to load YAML files
- Introduce ApplyCephConfigOverridesOnUpdate

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211016002047.f87dc3c
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Switch to rabbitmq fqdn hostnames and pass proper CA info
- nova-compute: Replacing yes/no with boolean values
- Limit collectds memory usage in the ansible part

* Wed Oct 13 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211013081742.b0cb5d3
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add cephadm_adopt tag to the ceph related upgrade tasks
- Enable healthcheck API in Octavia and Ironic

* Sun Oct 10 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211011002856.f556f24
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Allow configuring secure RBAC in placement

* Fri Oct 08 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211009004106.317966a
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix swift "Could not enable rsyncd" error
- Allow configuring secure RBAC in nova
- Remove zaqar

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211007001947.cae72bc
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- placement: Adding Debug parameter
- Remove mistral
- Changing default tuned profile for ComputeVdpa

* Tue Oct 05 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211005231938.2254c2a
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix libvirt/qemu logs location
- Drop archive policy from enable-legacy-telemetry
- Manila: Hide password strings

* Mon Oct 04 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211005003139.a489da0
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Option to select the required DDP package

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20211003002523.b7f5549
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix swift log redirection
- Remove and replace NetworkDeploymentActions

* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210929004400.782ba09
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix delegate_to to use group rather then undercloud
- Simplify mysql users creation
- [Wallaby only] Drop unused openstack DB users in mysql
- Fix the failure condition for HAproxy chgrp script

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210928013516.f754db1
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add ipv6 network_data/vip_data for CI jobs
- Manila: Drop tenant_id templating from v2 endpoint
- Only delete heat data in the DB if it exists
- [c9] nova_libvirt with host's cgroupns
- Update network-data v2 samples for ipv6

* Fri Sep 24 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210924222717.ab01af9
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Set cgroupns=host for neutron_dhcp and ovn-metadata

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210922222704.dc8c0a8
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Fix kill-script for cgroups v2 and podman
- Drop CollectdAmqpInstances from collectd-write-qdr.yaml

* Sat Sep 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210919002700.1c3e7d3
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Prefill host configuration for rsyslog-omamqp1
- Make default of NovaSyncPowerStateInterval consistent with nova

* Thu Sep 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210917002741.3dd0b9c
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Swap xinetd/tftp-server for dnsmasq to support ironic-pxe operations
- Configure api_base_uri to DesignateEndpoint URI
- Remove setting ACLs during Upgrade

* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210915223401.c975949
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Install python3-openstackclient after the leapp upgrade

* Tue Sep 14 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210915001842.fb8ac11
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Guarantee that ovn-dbs-pcmk update_tasks are run when the cluster is up
- Add CephRbdTrashPurgeInterval parameter

* Sat Sep 11 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210912021828.e7f8587
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- NovaLiveMigrationPermitAutoConverge should default to True
- Fix playbook_dir Ansible Warning
- Wallaby and before: Fix wrong puppet parameter name
- Enable configuration of omamqp1 plugin

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210910005056.3f8a824
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- CentOS 9: support restart of HA resources
- Check whether an HA resource already exists explicitly
- Fix the CephDashboardNetwork default
- Keystone: Keep default auth methods in OpenIDC Federation

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210908221841.5f8fa05
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Do not create mysql user if it already exists
- Revert "Disable postcopy for ovn/ovs-dpdk"

* Sat Sep 04 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210905005015.69c9997
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Add base Neutron service plugins to BGPVPN
- Consider GlanceMultistoreConfig when setting glance_pool

* Fri Sep 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210903081831.2456e59
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)
- Environment for switching to using IPs for memcached
- Enable Ceph RGW public port into firewall when using SSL
- Add OctaviaAmphoraSshKeyDir for ssh key creation for Octavia

* Thu Sep 02 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210902151812.1b41f26
- [DOWNSTREAM-ONLY] Revert "Enable CephDashboard for scenario001" (rhbz#2000535)

* Tue Aug 31 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210901001813.1b41f26
- Update patches
- Disable cephadm when ceph is deployed
- Stop rotating rabbitmq crash.log files via erlang's lager

* Fri Aug 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210828001819.af26268
- Update patches
- Compute HA: Remove workaround for Newton and older

* Thu Aug 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210827004016.252b404
- Update patches
- Add DeployedCeph boolean parameter
- Enable CephDashboard for scenario001
- Enable debug of memcached when Debug is enabled
- Distribute iscsid.conf to all containers using iscsi
- Nova: Remove useless authtoken hieradata from computes

* Wed Aug 25 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210825091136.dbb7900
- Update patches
- Add BGP EVPN support to the FRR service
- Example configurable cap add
- Support both frr 7.x and frr-8.0 concurrently
- Add /run/frr volume mount

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210821020212.c9513a5
- Update patches
- Move the remaining wallaby jobs to cephadm
- Change tests to run on ansible-core 2.11
- Revert change to use community pacemaker_cluster module
- Add a role to run independent designate bind backends

* Tue Aug 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.3.1-0.20210818013944.c3fce0a
- Update patches

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210812011809.c3fce0a
- Update patches
- Replace deprecated glance::api::database_connection

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210810232811.9a0da35
- Update patches
- OVN DBs clustering
- Change default for NovaNfsVersion to NFSv4.2
- Disable postcopy for ovn/ovs-dpdk

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210809091810.185a41c
- Update patches
- Default ganesha-internal service endpoint to external network

* Thu Aug 05 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210805221811.e76573e
- Update patches
- Do not fail if haproxy container UUID changes

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210804231815.9be42e5
- Update patches
- Wire up renamed upgrade periodic template

* Tue Aug 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210804012803.d49d3bc
- Update patches
- Enabling vhost-postcopy-support when live_migration_permit_post_copy
- Make memcached port parameters globally available

* Sat Jul 31 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210731231807.f85b09b
- Update patches
- Add CephAdmDebug parameter

* Thu Jul 29 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210730001813.3f9dc52
- Update patches
- nova-compute: Adding failed_when to nova-compute stop task

* Wed Jul 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210729001810.fc9cdf4
- Update patches
- Remove leftover of hieradata cleanup
- libvirt: fix formatting of the log_outputs parameter

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210728004830.5835353
- Update patches
- Remove all docker related tasks from upgrades
- Role parameter for tripleo_kernel_defer_reboot
- vncproxy: removal of tags and steps change from post_upgrade_tasks
- Do not log amphora ssh keys
- Introducing the ComputeVdpa role
- Add tool to convert net-data from v1 to v2
- Enable image copy for multiple RBD Glance stores

* Thu Jul 22 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210722222805.68f4a1a
- Update patches
- Add OS version to check reboot happened
- Test override of CephClusterName in 004 standalone

* Mon Jul 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.2.1-0.20210719225019.ae7cadd
- Update patches

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210716002808.ae7cadd
- Update patches
- Enable proxy header parsing in Octavia API
- Fix manila-cephfsganesha-config environment for cephadm

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210714225139.f17c58a
- Update patches
- Make default of NeutronDefaultAvailabilityZones empty array
- Wire up the tripleo-upgrades-wallaby-pipeline
- Get roles data from stack output on UC upgrade

* Sat Jul 10 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210710221807.4ee63d5
- Update patches
- Simplify libvirt/qemu ssl certificates

* Fri Jul 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210709222920.1a74baf
- Update patches
- FFU: change transfer parameters for database resync
- Moves undercloud upgrade introspection data migration to step 1
- Neutron: Use the pids subsystem to look up container id
- Simplify nova service  templates

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210707221808.5375378
- Update patches
- Adjust enable-stf.yaml for latest recommendations

* Mon Jul 05 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210705222724.d5b8ced
- Update patches
- Support cinder image conversion on an NFS share

* Sat Jul 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210703221807.f2ec39c
- Update patches
- Extend UC ephemeral heat to export network

* Fri Jul 02 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210702225236.ee71cd7
- Update patches
- Add THT Jinja2 data sources as stack output
- Enable DPDK OVS PMD Auto Load Balance
- Remove NovaVncProxyNetwork from ServiceNetMap
- Move designate from experimental
- Support additional IP so bind and unbound can collocate
- Pass scripts list for download for sensubility
- Support for OVS DPDK pmd auto balance parameters.
- Add Ephemeral Heat service
- Add network-v2 default files + vip data examples
- Always run network config for undercloud

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210628230412.5ed3509
- Update patches
- Do not run Swift rsync container in single replica mode
- Move scenario004 to cephadm
- Fix NetworkDeploymentActionValue format
- Add support for keystone_authtoken/memcache_use_advanced_pool
- Set tripleo_cephadm rbd mirror vars
- Limit collectds memory usage
- Introduce nova virtlogd wrapper
- Set OS_CLOUD instead in stackrc
- Ignore puppet_config is an empty dict
- Switch barbican actions to use kolla_config
- Fix typo that breaks Octavia db sync step
- Use kolla_config for other actions
- Add OS::TripleO::UndercloudUpgradeEphemeralHeat

* Mon Jun 21 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210621223941.199df94
- Update patches
- Remove heat::heat_keystone_clients_url definition
- Add post_upgrade_task and remove puppet-ceph pkg
- Update TOX_CONSTRAINTS_FILE for stable/wallaby

* Sun Jun 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210620221806.3eb3f8b
- Update patches
- Add param for RBD disk cache modes

* Sat Jun 19 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210619221808.266503b
- Update patches
- Revert "Always run network config for undercloud"
- Revert "Always run network config for undercloud"

* Fri Jun 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210618222824.4e4810d
- Update patches
- Always run network config for undercloud
- Add glance db purge job
- Make UpgradeLeappDevelSkip per-role

* Thu Jun 17 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210617221810.9da49b0
- Update patches
- Cleanup optional flag for conf.modules.d
- Fix container security_opts type

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210616223059.de06509
- Update patches
- Use community.general ansible collection instead of modules
- Refactor OVN bridge MAC addresses
- Bump ovs and ovn versions to 2.15 for FFWD.
- Add alertmanager port parameter
- Add option for enabling rsyslog reopenOnTruncate

* Tue Jun 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210615221810.4205efe
- Update patches
- Set ganesha idmap.conf file path and overrides
- Fix typo in ceilometer-write-qdr environment file

* Mon Jun 14 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210614221807.ead8269
- Update patches

* Sun Jun 13 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210613221807.ead8269
- Update patches
- Fix broken restart of ovndb_server during minor update

* Sat Jun 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.3-0.20210612073948.8ddfa16
- Update patches
- HA minor update: fix bad pcs invocation
- Pass custom CephConfigPath parameter to ceph-nfs role
- Update rhsm repo examples for RHEL8 deployments

* Wed Jun 09 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210609221814.902594d
- Update patches
- set ganesha idmap.conf file path and overrides
- Fix cinder's cephx keyring file permissions

* Tue Jun 08 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210608221811.7763914
- Update patches
- Include the standalone ganesha tasks when ceph is external

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210608001810.aaf57f2
- Update patches
- Allow customizing podman's [engine]/events_logger

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210607085902.fc352f9
- Update patches
- Disable tunnelled migration
- Add OVNCMSOptions to Controller and Networker roles

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210604005036.462724d
- Update patches
- Added the posibility of skipping the NFS ping test on the rear installation
- Add environment for external network VIP
- Remove Ceph cluster replica and PG num from low-memory-usage.yaml
- Skip cephadm playbook when there is no mon or nfs group
- Expose the monitoring_stack network to cephadm
- Use collection FQCN for podman modules
- Fix network_cidrs when ManageNetworks: false

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210528163920.59d930f
- Update patches
- Move ceph_admin_extra_vars logic to tripleo-ansible
- Add neutron port tag hint for role name

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210528144317.0cc815f
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210527101548.0cc815f
- Update patches
- Make clustercheck service accessible over socat
- Update .gitreview for stable/wallaby

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210523164035.ba1d7b2
- Update patches
- Don't add external tasks for roles with zero count
- Add openstack-tox-tht to the gate
- Fix RoleParameters in tuned-baremetal-ansible.yaml

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210520232819.e861653
- Update patches
- Introduce CephHciOsdCount and CephHciOsdType

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210520072822.326452e
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.2-0.20210518232932.326452e
- Update patches
- Re-add NovaVncProxyNetwork to service_net_map.j2.yaml
- Disable tunneled mode when use_tls_for_live_migration

* Sat May 15 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210515231812.eb7a600
- Update patches
- CI - Add vip_data file

* Thu May 13 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.1-0.20210513231815.3488777
- Update patches
- Stop handler flush
- Don't assume every role has default_route_networks

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 14.1.0-0.20210513004640.5fd7b3c
- Update patches
- nova: Default to the unversioned q35 machine type on x86_64
- Make sure the container configuration is refreshed during update.
- Default CephClientConfigVars within --working-dir
- Define the GaneshaNetwork parameter used by cephadm
- Fix etcd/tls-e deployments
- Add OVNEncapType option to the ovn controller template
- Remove Keepalived service
- Disable global_id reclaim for Ceph mons in scenario001
- Simplify manila, memcached and logging services
- Simplify keystone, iscsid service templates
- nova: Remove versioned default machine types
- Fix jinja2 for VipSubnetMapDefaults redis and ovs_dbs

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210428172014.b2b29b8
- Update patches
- Simplify cephadm service templates
- Correct metrics_qdr logging path and regex parsing
- Migrate nova cron parameters to NovaApi service
- Add CinderBackupCompressionAlgorithm parameter
- Run update tasks with become
- Add a boolean to allow disk overrides through NodeDataLookup

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 14.0.1-0.20210427025005.1c3d45b
- Update patches
- Stop using (and breaking) /var/tmp for horizon temporary things
- Fix random redeploy failure during certificate extraction
- Simplify horizon, ipservices templates
- Simplify haproxy service templates
- Don't create/configure swift_temp_url_key
- Add DefaultRoute to deployed_port.j2
- Update undercloud TLS template with proper keytab group
- Remove EXPERIMENTAL from ovn/sriov env file
- cinder: remove support for the Veritas HyperScale driver
- ScaleIO: Fix outdate template path
- Glance: Fix wrong indent about healthcheck key
- Make SkipRhelEnforcement boolean
- Add manila db purge job
- Aodh: define authtoken parameters in AodhApi service
- Add RootStackName to group_vars
- Deploy RGW by default when cephadm environment is included
- Migrate introspection data for undercloud upgrade
- Use CephRgwCertificateKeySize, not CephCertificateKeySize, for RGW
- Remove deprecated CinderBackendDellEMCXTREMIOIscsi
- Simplify ironic service templates
- Use parameters of the nova::glance class
- Support removing cinder-backup from pcmk control
- Missing client certificate for live-migration with TLS
- Allow access to RabbitMQ management plugin over network
- Add ability to configure glance multiple cinder stores
- Removing duplicate mount point in metrics_qdr
- Add cinder RBD support for multiple ceph clusters
- Add CinderBackupWorkers and CinderBackupMaxOperations
- Support cinder backups to specific ceph cluster
- Add DefaultRoute parameter to ports/noop.yaml
- Fix "ManageNetworks" use-case
- Simplify glance service templates
- Refactor Service VIPs redis and ovn_dbs
- Simplify etcd, frr service template
- Simplify database service templates
- Simplify cinder service templates
- Simplify ceph-ansible service templates
- Ensure ansible_fqdn is set
- Moving nova-consoleauth to step4
- Limit access to sshd used for nova migration
- Add new options for Barbican PKCS#11 backend
- Add tripleo_network_name tag hint to networks
- Set tags on all OS::Neutron::Port resources
- Expose additional network sysctl knobs
- Generate bind pool and bind configuration using deployment info
- Disable RabbitMQ busy-wait for dirty cpu and dirty i/o schedulers
- Remove UndercloudExtraConfig merge_strategy
- Add some tunable parameters for nova-scheduler
- Disable snapshot support in Cinder NFS backend by default
- Mount /etc/openldap inside the keystone container
- Enable exec resource to generate policy.yaml for Gnocchi
- Move frr setup steps to pre_deploy_step_tasks
- Always update the local certmonger ca cert
- Fix tls for undercloud with ipa
- Add missing KOLLA_CONFIG_STRATEGY for the aodh_api_cron container
- Set hieradata for the ceilometer::agent::service_credentials class
- [update][upgrade] Use container-tools:3.0
- Fix some template conditions
- Simplify ceilometer service template conditions
- Simplify conditions in barbican service templates
- Simplify apache service conditions
- Use list_concat_unique instead of yaql
- Remove unused environment for split-stack
- Move Ceph services to linux-system-roles.certificate
- Remove ovn-cms-options from OVS when OVNCMSOptions is set to ""
- Enable debug logging of libvirt services when Debug is true
- Add dependency on OVNMacAddressNetwork for role ResourceGroup
- HA: fix injection of certificate in haproxy container
- ovn: Set enable_hw_offload by puppet-vswitch
- Add neutron port tag hint for default_route_network
- Remove tripleo_hostname tag
- Enable ansible-lint
- Ensure SELinux context persist across restorecon and reboot
- Remove no longer used NovaNfsEnabled parameter and condtion
- HA: fix race when moving VIP during minor update
- Add systemd dependency to openvswitch to ovn-controller
- Disabling LM PostCopy and AutoConverge for RT roles
- Add parameter to set iscsid CHAP algorithms
- Remove or fix outdated/incorrect keystone hieradata definitions
- Remove usage of the wrong puppet parameter
- Swift: Enable gatekeeper and listing_formats explicitly.
- Reintroduce keystone_cron container
- Remove the OVNVifType parameter
- Neutron: Do not set ovn_l3_mode
- Remove unused [ec2]driver parameter
- Use nova::compute::image_cache class to set image cache parameters
- Decrease Swift proxy timeouts for GET/HEAD requests
- Set Designate mdns to listen on both ipv6 and ipv4
- Add ReaR service to all roles

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce pre_deploy_step_tasks
- Fix CephExternalMultiConfig using tripleo_ceph_client
- [collectd] Fix CollectdAmqpSendQueueLimit references
- Enable fernet token cache by default

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify conditions in aodh service templates
- Simplify conditions in heat service templates
- Use 'wallaby' heat_template_version
- radosgw_frontend_port should be a number
- Move tmpwatch from cron.daily to actual root crontab
- Move overcloud common bootstrap tasks out of step1 deploy tasks
- Change all *Debug parameter types to boolean
- Remove CrushRules coverage from scenario001
- Remove duplicate keys from yaml files
- Simplify internal_tls_enabled conditions
- Fixed tox executions
- [OVN] Remove check for OVN + Availability Zones
- Add artifact push interface to deployments
- Remove neutron-l3-compute-dvr referenced nowhere
- HA: inject public certificates without blocking container
- Provide ability to deploy metrics_qdr using ansible
- Add support for cinder-backup GCS and S3 backends
- Cavium/Liquidio is deprecated
- Designate: split bind instance into separate template
- [collectd][ansible] Add THT to deploy collectd using ansible
- Updating settings description
- Expose crush rule config parameter
- Remove or fix outdated/incorrect manila hieradata definitions
- Remove or fix outdated/incorrect swift hieradata definitions
- Remove or fix outdated/incorrect ironic hieradata definitions
- Remove or fix outdated/incorrect ceilometer hieradata definitions
- Remove or fix outdated/incorrect aodh hieradata definitions
- Remove or fix outdated/incorrect gnocchi hieradata definitions
- Correct spelling mistake
- Set vlan-limit value depending on vlan_transparent setting
- Config parameters for timemaster service

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for py39
- haproxy: fix typo after migration of TLS to ansible role
- live_migration setting should be under libvirt namespace
- Explicitly set port numbers used in swift storage

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Optimize conditions for TLS support
- Remove Deprecated Ceph Environment Files
- Add the Unbound DNS resolver service
- Comment out parameter_defaults in barbican simple crypto template
- Drop older install CentOS/RHEL 7 tasks
- Close if block in dual bonds
- Add TLS support to services using memcached
- Remove extra bash process in frr container
- Remove or fix outdated/incorrect cinder hieradata definitions
- Remove ovn_dbs puppet_config section
- Add ports filtering support to XtremIO Cinder driver
- Create post-deploy.conf on update/upgrade for octavia
- Add sample network data files for network-data-v2

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove obsoleted generate_service_certificates
- Add external-ceph environment file
- Fix up the principal name in ovn-dbs-pacemaker-puppet
- Set ansible_distribution vars for ipaclient
- Use single NovaLibvirtNetwork to configure instance console components
- Add support for nova custom provider inventories

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CephDynamicSpec, CephSpecPath, CephOsdSpec, CephSpecFqdn
- Add legacy fact setting
- Add FRR service
- Add cephadm deployment and environments branch
- Fix memcached firewall condition
- Fix start order for {swift_proxy,glance_api}_tls_proxy
- Generate certificates using ansible role
- Fix parameters for puppet-memcached-6.0.0
- Revert "Hard code jobs to Nautilus before setting new default to Octopus"
- Add deployed_vip_port templates
- Check Ceph cluster healthy state before starting FS to BS playbook
- Make UpgradeInitCommand and UpgradeLeapp{ToRemove,ToInstall,CommandOptions} per-role
- Adds net_cidr_map variable to allow cidr lists
- [ovn]: Enable port forwarding in neutron service plugins
- [ovn]: Enable network logging in neutron service plugins
- Fix NovaDefaultFloatingPool parameter
- Remove tempest container support from tht
- Add parameter NovaSchedulerQueryPlacementForRoutedNetworkAggregates
- Fix issue with scale down and overcloud TLS
- Lower MysqlInnodbBufferPoolSize to its old 128M default
- Add non-tls listener to Memcached

* Sat Mar 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Fix plan-samples README.rst
- Support configuring cinder's RPC and WSGI timeouts

* Fri Mar 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Add posibilities to set ovndbs monitor interval

* Thu Mar 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Add delegate_fact_hosts: false on ci scenarios
- Remove tripleo_transfer cleanup.yml reference
- Pass ipaclient_hostname to ipaclient role
- Add environments to disable Heat and Neutron
- Fix logging_sources map_merge issues
- Remove default plan-environment.yaml

* Tue Mar 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Set tag hints on ControlVirtualIP
- Allow configuring cinder mount point for glance cinder store
- Restore PreNetworkConfig resources

* Sat Feb 27 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Remove ovn-dbs temporary container
- Fix redis_tls_proxy
- Don't try creating default admin and member roles
- Upgrade mariadb storage during upgrade tasks

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Fix typo in ansible_facts
- Use ansible_facts instead
- Use include task for host prep tasks
- Add no log to podman set_fact
- Drop service facts usage

* Sat Feb 20 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)
- Make content provider depend on tox-pep8/tht on check layout
- Remove useless hieradata for keystone resource management by puppet
- Stop barbican servics in unupgraded controllers

* Fri Feb 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- [DOWNSTREAM-ONLY] Revert "Hard code jobs to Nautilus before setting new default to Octopus" (rhbz#1930742)

* Thu Feb 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters to allow multiple nshield HSMs
- Stop non-pcmk services of manila and cinder during upgrade

* Wed Feb 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Always set NetworkDeploymentActions to its default
- Add parameter {{role.name}}NetConfigOverride
- Default all innodb_buffer_pool_size to 1G
- ironic: stop defaulting to iscsi deploy in preparation for its deprecation
- Remove DefaultPasswords interface
- Enabling 'cinder_use_multipath' if cinder multipath is enabled
- Introducing parametrable storage configuration

* Sun Feb 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- per_node is not parsing generated json
- Stop octavia servics in unupgraded controllers

* Fri Feb 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ContainerDefaultPidsLimit to set default pid limits in containers.conf
- Stop ironic services in unupgraded controllers

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use Ceph cluster name when setting minimum client version
- Unify cinder's volume and backup kolla_config settings

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make DnfStreams support RoleParameters
- Problematic nested quotes in hieradata file list
- Add service ordering to cleanup service to avoid conflicts with agent startup

* Sat Feb 06 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [trivial] Fix mistaken variable rename

* Fri Feb 05 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new parameters to configure nova-compute direct rbd image download
- Disable swift on undercloud by default
- Don't use swift backend for introspection data
- Hard code jobs to Nautilus before setting new default to Octopus

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add post delay to reboot
- Make the default transport POLL_SERVER_HEAT
- Default to cinder v3 in cloud config
- tool: convert heat network-config to ansible j2

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enforces minimum Ceph client version to Mimic
- Move the Overcloud common bootstrap tasks for step 1 before the deploy tasks
- Add an index tag on neutron network resources
- Add a new role parameter rhsm_enforce.

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force json output format for hiera in derive pci whitelist

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Split network validation to it's own play
- Use include_role for conditional inclusion
- Remove deployed-server bootstrap mappings
- Add NovaLibvirtMaxQueues role parameter to set [libvirt]/max_queues
- Deprecate environments/dcn-hci.yaml for dcn-storage.yaml
- Live migration optimization with HP
- Remove ffwd lifecycle environment files.
- Remove External{Internal,Public,Admin}Url parameters
- Revert "Reset sriov_numvfs to 0 before leapp upgrade"
- Switch Octavia external tasks to 'post deploy'
- nova: Use LIBGUESTFS_BACKEND=direct
- Deleting nova-consoleauth services in post-upgrade
- Use Ceph-NFS for Manila in scenario004

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix swift bare variable warning

* Thu Jan 21 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove pcs/pacemaker package installation from upgrade tasks
- Making sure virt-guest-shutdown.target exists
- Turn off the etcd TLS workaround used with novajoin

* Wed Jan 20 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not loop on ceph_external_multi_config unless it is defined
- Make it possible to override ServiceNetMap per-role
- Do not relabel Swift files on every container start

* Tue Jan 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ownership of octavia_rsyslog log directory

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename the template for LoginDefs service

* Sat Jan 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add deployed_port template

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove ineffective parameters of puppet-rabbitmq
- Fix logic to honor HorizonDebug

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 14 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python_cmd set_Fact
- Add NovaImageTypeExcludeList parameter
- Simplify composition of swift-proxy-server pipelines
- Add deleton_policy to network port resources

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Configure OVNCMSOptions=enable-chassis-as-gw within neutron-ovn-sriov.yaml
- Move the misplaced release note file
- Remove duplicated tasks to create persisitent directries for haproxy
- Glance: use the puppet parameter to enable image cache feature
- Add setting to override max memcached connections

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jan 12 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Serialize shutdown of pacemaker nodes
- Adding an optional startup delay to nova-compute
- Use RootStackName parameter instead for consistency

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add doc/requirements
- Configure Ceph clients via tripleo-ceph-client (not ceph-ansible)
- Wire up new tripleo upgrades jobs template
- Fix unreachable handling
- Adding key_size option on the certificate creation
- Add SwiftHashPrefix parameter

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Move CA cert injection to host_prep_tasks"

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove cinder v2 API keystone service and endpoints
- Update container-config-scripts/ folder content before update_tasks.
- Notification drivers need to be a list
- Rely on the HOSTNAME var to resolve the mon container name
- Set up right DNF module stream for Upgrades and Updates.
- Remove Luna HSM clients on scaledown
- Use stat module instead of "test -s"
- Removing scheduler_default_filters for Nova
- Move ipa check to external_deploy_tasks
- Disable SwiftDisperion when deploying Ceph RGW
- Don't try and clean non-existing nic config dir
- Define a new CinderVolumeEdge service
- Remove /etc/ceph dependency and add tripleo_ceph_client role
- Don't pass empty values for ipaclient_servers to ipaclient role
- Network data v2 YAML definition for CI
- Move CA cert injection to host_prep_tasks
- Support deploying multiple Cinder Netapp Storage backends

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure images folder is created for ironic-conductor
- Set setgid mode bit for /var/lib/ironic
- HA: reimplement resource locks with cibadmin
- The lower constraint file has been removed
- Set toplevel nova::dhcp_domain for all nova services
- Remove vfio-pci.conf module load file
- Add setting to override rabbitmq tcp connection backlog
- Pre-fix neutron resource tags with 'tripleo_'
- Ensure cinder LVM volumes work after system restart
- Remove 'role_networks_lower' group_var
- Deployed networks template

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert rolling certificate updates for HA services
- Ensure cloud-init has finished before puppet run
- Identify HSMs using labels instead of Slot ID
- Enable tripleo_free strategy for upgrade

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [PowerFlex] Fix resource name typo in template
- Add 'networks_all' ansible group_var

* Thu Dec 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add qemu metadata to compute node when tls for live migration
- Run os-net-config on step 3
- Fix barbican settings missing from glance Edge nodes
- Add NovaApiMaxLimit configure max_limit for nova
- Adding Ceph Dashboard to the Edge roles

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set correct default NovaLibvirtCPUMode
- Fix typo in bond options group var name (2/2)

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure networks_skip_config defaults to []
- Re-enable driver agent for scenario 13

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- fix nova_statedir_ownership
- Add {{ network.name }}_mtu for all networks to group_vars

* Tue Nov 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Create post-deploy.conf on update/upgrade for octavia"
- Make sure apache metadata is set for nova-metadata service
- Add file which enables QoS related L3 agent extensions

* Sat Nov 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow to configure vxlan network type for OVN
- Refresh ceph-ansible group_vars values
- Fix the value of ssl_verify_client
- Refactor nova db config
- Move cell_v2 discovery off compute hosts

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix convert_nic_config.py script
- Create post-deploy.conf on update/upgrade for octavia
- Add hostname and stack_name tags to ports
- Fix typo in bond options group var name (1/2)
- Add aodh-expirer cron job

* Tue Nov 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move enable ksm on compute node to deploy step 1

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove old nic config templates

* Thu Nov 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mistral parameters from undercloud.yaml

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Properly compute hostname when looking for the ceph-mon container
- Add Python3 victoria unit tests
- node_exporter_container_image is needed in 'all' group
- Filter computes with nova_host defined
- Make sure octavia user belongs to octavia project
- Add CinderBackupOptVolumes parameter

* Tue Nov 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable
- Drop duplicate paramter NeutronPublicInterface

* Sun Nov 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use bind mounts for tls certificates

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix swift containers idempotency

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Always set dashboard_protocol when Ceph Dashboard is enabled
- Fix memcached logging
- Fix ceilometer_agent_compute healthcheck
- Remove Sahara support

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/victoria
- Fix MetricsQdrUseSSL value
- Remove the ineffective AdminEmail parameter
- Cleanup unused parameters from nova templates
- Add SendQueueLimit to collectd-amqp1

* Tue Nov 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refresh Swift ring files without restarting containers
- Deprecate zaqar services

* Sun Nov 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- cinder/iscsi backend: remove lvm2-lvmetad.service dependency
- HA: ClusterFullTag naming convention by default
- Skip Trilio dirs when setting ownership in /var/lib/nova

* Sat Oct 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch c8-standalone to content provider

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make memcache also listen to localhost
- Update some more environments to use new ansible nic config

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Use the appropriate name for horizon ssl ca parameter"
- Add NovaDisableImageDownloadToRbd parameter
- Deploy multipathd using tripleo_multipathd ansible role
- Config options for AMQP1 transport in collectd sensubility

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Oct 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add package install for openssl-perl
- Add ssl_verify_client parameter for horizon
- Fix some typos in the releasenote for nic config with ansible
- Use the appropriate name for horizon ssl ca parameter
- Run online migration tasks from external_update_tasks too.
- Rename NeutronMl2PluginBase TripleO service
- Make NovaComputeOptVolumes and NovaComputeOptEnvVars role aware
- Add TLS capabilities to Memcached service

* Thu Oct 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run tripleo_lvmfilter role to restrict block devices visible to LVM2
- Don't use POLL_SERVER_CFN transport for DeployedServer
- Make NetworkConfigWithAnsible parameter non-role specific
- ovn: Add neutron-cleanup
- Change deployed server environment for ansible nic config
- Use native ansible for nic configuration
- Use native ansible for nic configuration in some envs
- Use tags instead of role names
- Use consistent naming for MistralRpcResponseTimeout
- Return details in output of container health check
- Expose new THT params for cpu model flags
- Add CephClientConfigOverrides resource
- Ensure name consistency for tmpfiles.d configurations
- Add OVN chassis macs to hieradata
- Fixed Neutron environment file service descriptions

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't manage bridge mappings in scenario file
- Check for network in role.networks for resolve and qdr
- HA: option to use static pacemaker image name

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add content provider jobs to THT
- Fix names of the puppet parameters used to set min bw limits in Neutron
- Enforce internal api for token verification
- undercloud: disable placement api by default

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove mount for tripleo-validations from mistral containers
- Add possibility to set logging source for Horizon

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove all unused ci specific nic config templates
- Switch to use native ansible for remaining CI nic configs
- Use ansible for default simple ovs bridge config
- Add config option for collectd libpodstats

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate Mistral services
- Force CephAnsiblePlaybook to its default value on FFU prepare
- Retry container pull 3 times
- Speed up ansible facts gathering
- [manila] Add "ManilaEnabledShareProtocols" param
- Use `undercloud` instead of `Undercloud` when delegating tasks

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use native ansible for nic config of undercloud minion
- Concatenate host_routes and default route in overcloud.yaml

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add deleton_policy to network resources
- Refactor OVNMacAddressNetwork

* Wed Oct 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ansible var

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add bond options to to overcloud.j2
- Remove dashboard_frontend_vip from the ceph mgr template
- Cleanup NetworkConfig after moving to role-level

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable glance sparse image upload
- trivial: fix a minor grammatical nit in ipaservices
- Quote lookup var
- Make NovaLibvirtOptVolumes role specific
- Use OS::Heat::None in place of net-config-noop.yaml
- Fix temp namespace tasks to work in check mode

* Sun Oct 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Map NetworkConfig resource to net-config-noop.yaml
- Network config with ansible for all multinode jobs
- Network config with ansible for ci jobs using multi-nics

* Sat Oct 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- include gcc,python36-devel in bindep, for tests
- Also configure Ironic for UC minions

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix allow_resize_to_same_host
- Add ability to manage irqbalance on compute per role
- Allow partial override about SshServerOptions
- Disable notification from services by default
- [FFU] Remove cinder's v1 keystone service
- Add 'NovaAllowResizeToSameHost' parameter
- Add redis to designate environment
- Create NetworkConfig per-role in overcloud.yaml
- Change enable-ssh-admin.sh script to use playbook
- Add parameters for vTPM feature

* Thu Oct 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use show base attribute for network/subnet attrs
- firewall: make ExtraFirewallRules role specific
- Deprecate novajoin

* Wed Sep 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Default cinder_volume_node_names to []
- Add VLAN id to ansible group_vars
- Assume Grafana and Ceph Dashboard to be on the storage or ctlplane nets
- Set NeutronEnableDVR to False for OVN-HA
- Fix Octavia OctaviaTenantLogFacility default

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove sync_db parameters
- Add some more RoleVars needed for nic configuration
- Allow optional volumes for nova_libvirt container
- Add script to covert nic configs to use OS::Heat::Value
- Use ansible for undercloud/standalone network config
- Add parameter for setting horizon session timeout
- Create container-puppet-tasks files per step in check mode
- Implement a Minimal role
- Replace deprecated libvirt_* options
- Add ctlplane subnet attrs to group_vars
- Add ctlplane network attrs to Networks resource output
- Add support for Glance disk_formats configuration
- Configure rsyncd without pid file for Swift

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace bridge_name and interface_name in config
- Add attr of networks and subnets to Networks resource
- Clear cached facts based on the tag as well
- Remove overcloud_common.pp
- Use OS::Heat::Value for NetworkConfig
- use os_net_config Ansible module to configure networking
- [PowerFlex/VxFlex OS] Fix typos in templates
- enable-ssh-admin: allow to override plan name
- Use consistent naming for MysqlInnodbBufferPoolSize
- Force container fetch
- Check only role path for NetworkConfig
- Add tripleo-iptables service cleanup
- Rename external network VIP, drop special case
- Get the CIDR of the neutron port for NetworkConfig
- Fix typos
- Add tag's with network_data info to neutron net
- Gather more extra stats with the collectd virt plugin
- Adapt container health check for built-in podman health checks
- Complete missing description
- Expose new  parameter `NovaVGPUTypesDeviceAddressesMapping`
- Change permissions on /run/octavia to octavia
- Update swift rsyslog configuration
- Revert "Initialize ip(6)tables "raw" table"
- Enable Ceilometer data transfer for STF

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dashboard_tls_external ceph-ansible parameter
- Remove validation scripts
- Switch to ansible for deploying artifacts
- Use ansible for nodes validation
- OVNChassisMacPorts for distributed VLAN
- Create OVNMacAddrNet network on Undercloud

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove race during mysql database creation
- python3-novaclient installation via THT
- Update plan-sample to reference new interface
- Centralized logging minor fixes
- Drop undercloud-disable-nova.yaml
- Fix network configuration execution ordering
- Add more metadata to logs

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure we noop the Rabbitmq_ providers
- Make sure we noop the Mysql_ providers
- Fix Flakes and lower-constraints errors
- Replace deprecated nova::compute::ironic::max_concurrent_builds
- os-net-config-mappings move out of firsboot
- Remove ipa-client install task from undercloud-tls playbook
- Mount libpod container volume into collectd container

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose max_concurrent_builds as a Heat parameter

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add environment to enable nova on undercloud

* Sun Sep 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameter and CI config to enable Ceph OTW encryption
- Make sure IPA has the right ACI
- Remove CI env for net-config-multinode-os-net-config.yaml
- pcs commands on host: redis bundle
- pcs commands on host: ovn dbs
- pcs commands on host: cinder backup/volume
- Add the NovaImageCacheTTL to the nova compute service
- Fix Swift ring file synchronization issue
- Add post_upgrade_task and remove puppet-ceph pkg
- pcs commands on host: manila-share
- reno only - ironic role specific parameters
- Ironic role_specific parameters
- Create external bridge on Compute nodes by default for OVN with DVR

* Thu Sep 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new ansible tag for network configuration
- pcs commands on host: rabbitmq
- pcs commands on host: mysql
- pcs commands on host: haproxy bundle

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose Innodb_buffer_pool_size
- DCN: use FQDN in glance endpoint with internal TLS
- Fix nCipher (aka thales) ansible role name
- Remove Etcd from DCN roles that don't need it
- Use container_file_t for Cinder*NfsMountOptions by default
- Modify how libvirt related containers use SELinux
- Remove deprecated Manila PGNum parameters
- Fix typos

* Mon Aug 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use appropriate allocation pools for StorageNFS
- dpdk_telemetry is not used

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of RetryFilter
- Default to storage_dashboard, when set, for the CephDashboard service
- Re-enable driver agent for scenario 10
- Set a higher PIDs limit for nova_libvirt container
- Expose mistral::rpc_response_timeout as Heat parameter
- Use UUID for mounted SwiftRawDisks
- minor update: only migrate HA VIP away when needed
- Remove all UIConfig endpoints
- Remove rrdtool from collectdExtraPLugins
- Remove remaining Skydive references
- Use parameters in new neutron::server::notifications::nova class

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Expose mistral::rpc_response_timeout as Heat parameter
- Use UUID for mounted SwiftRawDisks
- minor update: only migrate HA VIP away when needed
- Remove all UIConfig endpoints
- Expose mistral::rpc_response_timeout as Heat parameter
- Use UUID for mounted SwiftRawDisks
- minor update: only migrate HA VIP away when needed
- Remove all UIConfig endpoints

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose mistral::rpc_response_timeout as Heat parameter
- Use UUID for mounted SwiftRawDisks
- minor update: only migrate HA VIP away when needed
- Remove all UIConfig endpoints

* Tue Aug 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Disable Designate service for scenario 03"
- Fix wrong description about cinder db purge

* Sun Aug 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create Container configs with a new module

* Sun Aug 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create container config scripts with a new module

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pcs restart in composable HA

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [FFWD Ceph] Fix ceph post_upgrade_tasks for osd options

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix endpoint map tls - zaqar wss port

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix up ovn-dbs update tasks

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- enable ovs_stats and ovs_events plugins for neutron ovs dpdk agent

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set keystone::cache parameters

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Workaround rhel8,0 iptables bug causing neutron_ovs_agent to restart continuously"

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ovn]: Enable port forwarding in neutron service plugins
- Use tripleo_network_config

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Consolidate the barbican-api client configurations
- Cleanup parameters for keystone::bootstrap

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not hard-code vars_from

* Sat Aug 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ovn] Don't add conntrack entries for Geneve

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add redis password for designate coordination
- Deprecating VxFlex OS Cinder Config
- Remove all broken references to ./puppet/services

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix delegation with FreeIPA cleanup

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- undercloud_upgrade: tear-down keepalived
- pcmk_remote FFU support for Instance HA

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rolling certificate update for HA services

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Run external_deploy_tasks per step for each role
- Reset sriov_numvfs to 0 before leapp upgrade

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove YAQL queries for RabbitCookie

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for PowerFlex Cinder Backend

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch host sshd configuration to ansible

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unset keystone::public_endpoint

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add PermitRootLogin option in sshd_config before leapp.

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use sensible defaults for novnc TLS minimum versions and ciphers

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for PowerStore Cinder Backend

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable Dashboard on scenario004

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Align kernel args for system upgrade using leapp
- Add support for Gnocchi NFS Backend

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix HA resource restart when no replicas are running
- Add CephAnsibleRepo warning to make this validation more flexible
- Revamp how etcd's cert and key are handled in containers

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Memcached collectd plugin uses host URI instead of IP address.

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new Luna HSM parameter for Barbican

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Nova VNC puppet variables

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update, avoid task skipping by directly importing step file.

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add openvswitch special treatment to update too.

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set 'DEBUG' to horizon::log_level if HorizonDebug or Debug is true

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Small improvement on the default gateway(s) detection
- Do not manage healthcheck for nova-compute anymore

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant file management for /run/redis

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dashboard_protocol variable when internal_tls is enabled

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generated passthrough_whitelist shall use all the user_configs fields

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid failing on deleted file

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove ffwd-upgrade leftovers from THT.

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop using a conditional for role tasks

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Attempt to remove octavia tls proxy service only present

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove strategy comment
- Add missing config_files kolla directives

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure redis_tls_proxy starts after all redis instances

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of ineffective parameter in nova::api class

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prevent ovn dbs related facts to run on each step.

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prevent skip package fact to run on all steps.

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove /var/lib/config-data context task

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a single task for fact gathering

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated ironoc::inspector parameters in puppet-ironic
- Add BarbicanClient service for configuring edge sites

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop the relabel flag for bind-mount
- Remove duplicated hieradata

* Sat Jul 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bind mount /var/lib/container-config-scripts inside the restart bundles

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Relax facts gathering plays on the overcloud
- Use native YAML syntax in mount tasks

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use tripleo linear when not using tripleo free
- deploy-steps-playbooks-common: fix logic for scale_ignore_unreachable

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add become: true to the container json file modules

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add TSO configuration for OVS DPDK datapath.

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Prevent nftables to interfere with tripleo firewall"

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- FFU support for ceph_nfs

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify host entries generation

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow disabling the ovn provider in scen013
- Add scenario013: Octavia standalone without Ceph
- Use neutron::db::database_connection

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert roles section into tasks-include_role in deploy-steps.j2.

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch deploy steps to tripleo_free

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Generate container startup configs with a new module

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check for correct column name for execution show

* Mon Jul 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove /run from some services
- Fix bind mount volumes for novajoin containers

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Task should fail on any failure

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow more tasks to be run in check mode

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't set RABBITMQ_SERVER_ERL_ARGS

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix default BlockStorageCinderVolume template

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure we use only /run instead of /var/run
- undercloud/heat: set YAQL memory quota to 200000

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add filestore to bluestore migration tags

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix privilege escalation

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Always clear cached facts first

* Sat Jul 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Collapse deploy steps

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move sidecar kill scripts to host prep

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log neutron.cmd.destroy_patch_ports in to log file

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup all container startup configs before generating the new ones
- Fix Error: invalid arguments you must use just one container

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Exclude /etc/hostname

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new parameter PublicTLSCACert

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync httpd conf.modules.d configs

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Collapse host prep tasks

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding amphora architecture to heat templates

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase the default UpgradeLeappRebootTimeout to 60 mins

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for Neutron FUJITSU plugin

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable presettled metrics

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable Designate service for scenario 03

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix regexes in yaml-validate.py with python 3.8

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update octavia playbooks parameters
- Move nova online migrations to nova-conductor

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve documentations for NovaLibvirtFileBackedMemory
- Add resource claim in the environment example
- Remove unused code and environment file of sriov deployment
- Expose the zaqar_ws_timeout_tunnel variable.

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add project template for IPA multinode

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only enable leapp tasks when distribution is correct
- Allow triggering ceph-ansible filestore-to-bluestore with ceph_fstobs tag

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adding env file for octavia with kvm
- Increase zaqar max_messages_post_size to 2097152

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable Sahara in scenario003-standalone

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add composible service for tls enrollment

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Elevated privs are required to access files in home directory

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating Old ScaleIO  Volume Config

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of mock

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for Dell EMC VXFlexOS Backend

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Consider user configuration during the derivation of passthrough whitelist

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix dry-run for NetworkConfig tasks
- Check transfer data flag to skip pacemaker normal upgrade.

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ironic create_swift_temp_url_key use internal edpoint

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless hieradata for octavia tls_proxy

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unify metrics_qdr name to underscore

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove some deprecated services

* Sat Jun 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove ValidateNtp
- Use empty string for overcloud InternalTLSCAFile param

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix reserved name variable

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow overriding InterfaceDefaultRoute with ips_from_pool template

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add an option to adjust help URL in horizon

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure net.ipv6.conf.lo.disable_ipv6=0

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate EnablePaunch and remove Paunch support

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix node scaling

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Only enable leapp tasks when distribution is correct"

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update scn003 to exercise ExtraFirewallrules capabilities

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add reserved ports for some services

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- test-requirements: remove python 2.7 dependency for sphinx
- Change the :Z mount flag to :z

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update minion rabbit credentials
- MaxFailPercentage: default to 0

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Silence huge human-unreadable logs

* Sun May 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable glance cache prefetcher interval
- Include copy-image for GlanceEnabledImportMethods for dcn-hci

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix syntax error

* Sat May 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the ability to offload amphora logs

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force container deletion if namespace does not exist in service_kill

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix sending SIGTERM to the sidecar containers

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set default InternalTLSCAFile in enable-tls.yaml
- enable dpdk plugin on neutron ovn and ovs
- collectd: add support for mcelog service

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make IronicConductorGroup role_specific

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update loop_vars

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add non-string value support for CephAnsibleEnvironmentVariables

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri
- rhsm: add rhsm_release in environment for doc purpose

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Modify tls-e service to not install packages by default

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move chcon for /var/lib/config-data
- Deprecate old NeutronFirewallDriver option

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new parameter NovaSchedulerQueryPlacementForAvailabilityZone

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Split ansible_limit with a colon.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include tripleo_ceph_workdir role on rgw variables override
- Make user value for GlanceImageImportPlugin prevail on logic

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in the description of the Neutron related options
- Only enable leapp tasks when distribution is correct

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary check after removing libvirt rpm dependencies

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use /32 or /128 netmask for VIPs
- Enable adding packages into Leapp's to_remove/to_install files.

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add additional files to ipa standalone test

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Ceph{Admin,Mon,Mds}Key parameters

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Configure valid_exit_code for startup containers

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Correctly match openvswitch package

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add shared volume for side-car wrapper locks"

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated UsePrivilegeSeparation option

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Simplify the puppet invocation a bit

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate service ipv6 params

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose grafana, dashboard and mgr port parameters

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add common_deploy_steps to post_upgrade_steps.

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add cacert to clouds.yaml

* Sat May 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable collectd-ceph plugin only where needed

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add retries to initial image fetch

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add option to not install ipa client packages

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use /32 netmask for VIPs

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Neutron ML2/OVS: add support to enable of IGMP snooping
- Skip operating system upgrade tasks via UpgradeLeappEnabled param.
- Deprecating Old Dell SC Iscsi Volume Config

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Execute kvm-setup inside nova_libvirt container
- healthchecks: check if fact is defined before checking its value

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make per_node.yaml py3 safe

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for Xtremio Cinder Backend

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for lunasa hsm in barbican

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix vbmc_setup.yaml for c8 standalone

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ironic inspector port_physnet_cidr_map support

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change Schedule to Scheduler for consistent naming

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Trigger a job to run a standalone deploy with IPA on multinode

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate Keepalived service

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix typo in setting octavia wsgi server name
- Fixing powermax config errors

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix cinder and etcd running with internal TLS enabled

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add EnableCache option to enable/disable usage of memcache

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix IHA with ansible 2.9

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a 600s timeout when creating enable-ssh-admin workflow

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ci environment file for standalone IPA parameters

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure IdMServer is optional
- Add an option to disable the DNS record modification in FreeIPA
- Fix missing OctaviaClientCert* parameters

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make /var/lib/mistral traversable by all users

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change Collectd ports type to numbers.

* Wed May 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use python3 in tools scripts

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecating Old Dell EMC Xtremio Iscsi Volume Config

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for SC Cinder Backend
- Changes in env files due to new SRIOV roles
- Add support for resource provider bandwidth in Neutron config

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow supplying command options to leapp
- Add shared volume for side-car wrapper locks

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mode option when creating persistent directories.

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add hook to run RHOSP policies enforcement.

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters for vPMEM features

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set cache parameter for openidc in tht
- Add ansible hieradata file

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add tripleo_delegate_to var for ceph health validation

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert systemd sidecars

* Sat May 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Disable Redis in environments/docker-ha.yaml"

* Sat May 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use memcache for keystone caching

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update container certificate

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace outdated cinder parameters in Manila

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated nova::metadata::enable_proxy_headers_parsing

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Re-validate healthcheck work on nova/keystone containers
- Check for InternalApi in role for HostnameResolveNetwork

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Split out selinux management

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix validation script
- scenario010 - show logs when no_log is specificied in ci

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Default to stack name inventory group for deployment_target_hosts param
- Remove deprecated designate::worker::worker_notify

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add missing region_name parameter in Manila

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move /etc/ssh/ssh_known_hosts bind mount where it's needed

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use puppet parameter to set swift_catalog_info in cinder

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove tenant_name parameter from neutron::server::notifications

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove healthcheck from ceilometer_gnocchi_upgrade container

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable HA in minor updates job (scenario000)
- Set Neutron's l3_ha flag to True in standalone ML2/OVS job

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure <service>_restart_bundle do not run concurrently

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable sensitive logs for OVB HA

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [cinder-lvm] Resolve issue when there are multiple loop devices

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove usage of deprecated aodh::auth::auth_tenant_name

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Exclude /etc/puppet from config generation

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make neutron ml2/ansible's base plugin variable
- Fix indentation

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set region_name for service authentication in ironic

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set region_name and domain_name for neutron::server::notifications

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce new HideSensitiveLogs parameter

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix NovaCrossAzAttach hiera key

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- deploy-steps-tasks-step-1: update startup-configs with latest hashes

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop bootstrap_host_exec from pacemaker_restart_bundle

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add NovaCrossAZAttach parameter

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve the cinder LVM loopback device setup

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate inflight validations to native podman healthchecks
- Remove all hieradata overriding for undercloud memcache
- Remove the usage of cinder::ceilometer

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup remaining iteams for removed Tacker service
- Remove useless nova::ironic::common::api_endpoint

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable Redis in environments/docker-ha.yaml

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate Sahara support
- Add missing region_name for ironic access from nova
- Deprecating VMax Volume Config

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for PowerMax Cinder Backend

* Sat Apr 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use exec for ovn metadata agent
- Remove hardcoded reference to cinder LVM loopback device

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support for mariadb's ed25519 authentication

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename ApacheMaxMaxClients property to ApacheMaxRequestWorkers

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add IronicDhcpv6StatefulAddressCount parameter
- Create octavia project/user based on given values

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable Redis by default again

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove remaining hieradata for OpenDaylight

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated keystone::admin_port

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated puppet-keystone modules related to admin auth
- Remove duplicated keystone::roles::admin::password

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename loopback creates file

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Unset cinder::api::os_region_name
- Add new parameter NovaSchedulerEnableIsolatedAggregateFiltering
- Add parameter to manage horizon's keystone_domain_choices

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use absolute name to include puppet classes

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- standalone/overcloud: enable the HA deployment by default
- Move ceph-rgw and config overrides variables

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set dns_name propery on ports and networks

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- nova-compute: disable scale_tasks when docker is used
- Cleanup remaining items for Trove

* Fri Apr 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use kolla tools for memcached configuration
- Add Octavia OVN Provider configuration

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add placement to testing matric

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move the haproxy iptables rules creation to host_prep_tasks

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Added scale_tasks to handle cleanup on scale down of nodes
- Remove Dell EMC PS Series Driver support
- Add missing memcached_servers for undercloud placement

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate KeepalivedRestart

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove hieradata for TripleO UI
- Enable caching in heat
- Remove duplicate key

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Skip both tenant and management networks when generating certs

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Exclude /var/lib/ironic/* from container-puppet.sh rsync
- Properly place undercloud hosts record upgrade task

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [OVN] SRIOV with native OVN DHCP server

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to docker pull
- Create DNS entries in IPA for openstack services

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new composable service for IpaClient

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Define nova::cache parameters in tht

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add new parameter NovaSchedulePlacementAggregateRequiredForTenants

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce {{role.name}}ExtraGroupVars

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable ceph-dashboard on multinode jobs

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Workaround for cinder A/A and etcd with TLS-everywhere

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include {{step}} when setting facts

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to podman_image module
- Use exec when spawning any neutron sidecar container

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix regression in container-puppet.py
- Fetch containers early

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix selinux denial on centos8/rhel8 when relabelling /var/lib/nova
- remove py27 in tox.ini from tripleo-heat-templates
- ovn_dbs_virtual_ip created even though ovn is disabled
- Do not fail if /usr/sbin/nft is not present
- Remove Nova parameters that are no longer used

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Have 1 dhcp agent per undercloud network

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused hiera parameters
- Only set haproxy::crl_file once

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unnecessary references to optional cinder templates

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- remove centos-7-standalone-upgrade for master

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch scenario001-multinode-containers to LVM-based bluestore

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use /usr/libexec/platform-python in undercloud post
- Ensure consistency with hostname comparison
- Revert "Stop using swift temp url for config transport"
- Create a new parameter for the HAProxy external network
- Use --allow-overlap-zone when setting up freeipa

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use lists for storing host entries in Heat
- Tolerate NFS exports in /var/lib/nova when selinux relabelling

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup hieradata for unused services in undercloud.
- Remove most of the mistral related undercloud post config

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove duplicate RabbitCookie parameter

* Sat Mar 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Revert "Disable Docker by default, enable Podman by default"
- Prevent nftables to interfere with tripleo firewall

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add always tags for hieradata render in external upgrade.

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use multipath in nova when multipathd is enabled
- remove py27 tox env for tht

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove CephAnsibleSkipTags override

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove duplicated cinder-backup.yaml

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactorize test_tht_ansible_syntax to welcome new roles/modules

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- DCN/Edge: Handle ipv6 address for local glance endpoint

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop unused remnants of the hosts-config bits

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Introduce environments/disable-swift.yaml

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Neutron ML2/OVN: Add support to enable IGMP Snooping

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- HA: check before restarting resource on stack update

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Podman by default

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable port_forwarding by default in ML2/OVS+DVR environment

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove neutron wrappers usage

* Sat Mar 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace all the bridge_name variables in templates
- Rename roles that we have missed

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow disabling the ovn provider

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix dashboard_frontend_vip parameter

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move ceph-ansible required variables in the main group
- Add NeutronSecurityGroupQuota to allow setting quota_security_group
- Remove unused config dir for OVN metadata-agent
- Add OS::TripleO::Services::Podman to sc 1 and sc 7
- Fix the mounting issues for the TLS everywhere deployment
- Fixed libvirt volume path for nova-migration-target-container
- Add STF environment
- Re-add scenario001-multinode-containers with heat
- Use jinja raw tag instead of quoted concatenation
- Fix TenantInterfaceDefaultRoute in net-env-v6
- ci: remove unused multinode scenarios
- Remove skydive
- Use exec when spawning dnsmasq inside sidecar container
- Drop resource registry override in ip-from-pool
- HA: drop spurious mysql user on stack deploy
- Use exists filter instead of stat where possible
- Add parameters for VNC console proxy SSL/TLS settings
- Remove superfluous comment from deploy-steps-tasks
- Don't add IpList for disabled networks
- Add j2 per-role MetricsQdrNetwork
- Fail NetworkConfig task on timeout
- Parse healthchecks.log instead fetching systemd data

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add NeutronSecurityGroupQuota to allow setting quota_security_group
- Remove unused config dir for OVN metadata-agent
- Add OS::TripleO::Services::Podman to sc 1 and sc 7
- Fix the mounting issues for the TLS everywhere deployment
- Fixed libvirt volume path for nova-migration-target-container
- Add STF environment
- Re-add scenario001-multinode-containers with heat
- Use jinja raw tag instead of quoted concatenation
- Fix TenantInterfaceDefaultRoute in net-env-v6
- ci: remove unused multinode scenarios
- Remove skydive
- Use exec when spawning dnsmasq inside sidecar container
- Drop resource registry override in ip-from-pool
- HA: drop spurious mysql user on stack deploy
- Use exists filter instead of stat where possible
- Add parameters for VNC console proxy SSL/TLS settings
- Remove superfluous comment from deploy-steps-tasks
- Don't add IpList for disabled networks
- Add j2 per-role MetricsQdrNetwork
- Fail NetworkConfig task on timeout
- Parse healthchecks.log instead fetching systemd data
- Add NeutronSecurityGroupQuota to allow setting quota_security_group
- Remove unused config dir for OVN metadata-agent
- Add OS::TripleO::Services::Podman to sc 1 and sc 7
- Fix the mounting issues for the TLS everywhere deployment
- Fixed libvirt volume path for nova-migration-target-container
- Add STF environment
- Re-add scenario001-multinode-containers with heat
- Use jinja raw tag instead of quoted concatenation
- Fix TenantInterfaceDefaultRoute in net-env-v6
- ci: remove unused multinode scenarios
- Remove skydive
- Use exec when spawning dnsmasq inside sidecar container
- Drop resource registry override in ip-from-pool
- HA: drop spurious mysql user on stack deploy
- Use exists filter instead of stat where possible
- Add parameters for VNC console proxy SSL/TLS settings
- Remove superfluous comment from deploy-steps-tasks
- Don't add IpList for disabled networks
- Add j2 per-role MetricsQdrNetwork
- Fail NetworkConfig task on timeout
- Parse healthchecks.log instead fetching systemd data

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add NeutronSecurityGroupQuota to allow setting quota_security_group

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add OS::TripleO::Services::Podman to sc 1 and sc 7

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused config dir for OVN metadata-agent

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the mounting issues for the TLS everywhere deployment

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove superfluous comment from deploy-steps-tasks

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add STF environment
- Use jinja raw tag instead of quoted concatenation
- Parse healthchecks.log instead fetching systemd data

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixed libvirt volume path for nova-migration-target-container

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use exists filter instead of stat where possible
- Fail NetworkConfig task on timeout

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Re-add scenario001-multinode-containers with heat
- Remove skydive
- Drop resource registry override in ip-from-pool
- HA: drop spurious mysql user on stack deploy
- Add parameters for VNC console proxy SSL/TLS settings

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix TenantInterfaceDefaultRoute in net-env-v6

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use exec when spawning dnsmasq inside sidecar container

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ci: remove unused multinode scenarios

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add j2 per-role MetricsQdrNetwork

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't add IpList for disabled networks

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- rabbitmq: Open ports 25673-25683 for CLI tools
- Create ResellerAdmin role when deploying Ceph RGW
- Add NeutronDhcpAgentDnsmasqEnableAddr6List param

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unneccessary indentation from common tasks

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add posibilities to configure replication_probe_interval

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove useless auth_uri from ceilometer middleware
- Add missing keystone region for swift user auth
- Remove unnecessary hieradata for ceilometer::keystone::authtoken

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a common playbook import for common plays
- Add `NovaMaxDiskDevicesToAttach` parameter

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove duplicated topic parts from default value

* Sat Mar 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Optionally configure Ceph RGW listener with SSL
- Add CephBasePoolVars and CephKeyVars structures

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Trigger ceph-ansible on ceph_systemd tag too

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the number of keystone workers

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add the certificate specs in ceph_mgr service

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update containers-multinode, minion to centos-8

* Fri Mar 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update tht standalone scenario jobs for centos-8

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove all ignore_errors to avoid confusion when debugging

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixed package names for CentOS-8 octavia deployment
- Use command to set pythonintepreter
- nova-compute-container: add missing condition for ksmdisabled
- Cleanup tasks for container-puppet.py

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove wsgi_enabled parameters in nova
- Add DNS related settings

* Wed Mar 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- libvirt: remove unused cpuset_cpus
- Sync neutron-ml2-ansible.yaml files

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Restart ovn-dbs resource to take new VIP property.

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable Mistral dashboard
- Remove outdated comment about enabled dashboard
- Run the swift_rsync container unprivileged

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set logging parameters for virtlogd
- Adding Rear check to CI
- Override nova's glance endpoint only when necessary

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Check Ceph*Key value format and halt on error

* Mon Mar 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove LocalCephAnsibleFetchDirectoryBackup from standalone 001,004,010

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix mapping of KeystoneOpenIdcEnableOAuth

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move glance logging templates to logging directory

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove support for ceph-ansible fetch directory

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename tripleo-hieradata to tripleo_hieradata

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use short prameter names for nova::network::neutron

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use ipc:host for cinder-backup

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a jinja block to reduce str_replace repetition
- [update/upgrade] Use include_tasks instead of import_tasks

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ControlPlaneSubnetCidr in net_vip_map_external
- Remove old standalone.yaml

* Thu Feb 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for glance multistore

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve the ability to enable swap

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add global groupvar to set the ansible async dir

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix listen_on_master_ip_only
- Remove OpenShift resources completely.
- Remove hieradata related to OpenShift deployment
- Disable Paunch by default Standalone/Overcloud
- Add setfacl statements for neutron metadata proxy

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make yaml-validate.py work with new t-h-t layout
- Remove capabilities-map.yaml

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [OVN] Split NeutronWorkers and NeutronMetadataWorkers for OVN

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix dcn-hci resource mapping path
- NodeDataLookup utility should rely on python env
- Remove comment about tripleo_container_manage being experimental
- Remove BlockStorageCinderVolume service from certain DCN roles
- Remove deprecated aide puppet service
- Remove deprecated tuned-baremetal-puppet
- Remove deprecated time services
- Remove deprecated securetty
- Remove deprecated kubernetes services
- Enable sudo rule creation
- Generate /etc/hosts early on both under and overcloud
- placement: Remove Nova to Placement extraction step

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- tripleo_container_manage: set tripleo_container_manage_check_puppet_config
- Configure Undercloud hostname in the overcloud during upgrade.
- Fix permission issue when removing octavia temp dirs
- Add missing region_name for Octavia service_auth
- Remove the duplucated hieradata in Octavia service_auth
- Ensure /var/run/octavia is present upon reboot
- Always set hieradata for certmonger_ca
- Enable external LB support with ovn

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated kernel-baremetal-puppet
- Force facts cache refreshing after OS upgrade.

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add DCN Scale Out Roles
- Ensures rsync is present on the overcloud nodes

* Sun Feb 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add missing region_name for nova auth in cinder
- add tht/common to trigger path

* Sat Feb 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix krb-service-principals with service_net_map_replace

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add dependency for enable KSM for RHEL/CentOS8
- Add missing region for service user in cinder
- [update] Ensure we get fresh hiera data before running update_steps.

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- keystone/ldap: add missing cloud name
- Add support to run Container Puppet tasks without Paunch
- Replace svirt_sandbox_file_t by container_file_t
- Enable configuration of notifier publishers

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Create /var/lib/config-data if it doesn't exist.
- Replace '' by [] when a bind mount isn't needed

* Sat Feb 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- container-puppet.sh: add -r to rm command
- Dynamically include container-puppet tasks
- Remove static reference to InternalApi network
- Introduce CephExternalMultiConfig
- Remove unnecessary block/whitespace from step1 tasks
- Remove deprecated authtoken::auth_uri
- Remove unused admin_password
- Update ro excludes

* Wed Feb 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Dynamically include generate-config tasks
- Use action plugin for all_nodes data

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Rename roles that we're missed"
- Merge "Remove py27 jobs"
- Rename roles that we're missed
- Remove py27 jobs

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add py27 testenv for tox.ini

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "remove duplicated HAproxy line from scen000"
- remove duplicated HAproxy line from scen000

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update inflight validation role name after a rename in ooo-validations"
- Merge "Add missing firewall rule for iscsid in HA deployments"
- Merge "Default all roles for deployed-server to net-config-static-bridge"
- Add missing firewall rule for iscsid in HA deployments
- Update inflight validation role name after a rename in ooo-validations
- Default all roles for deployed-server to net-config-static-bridge

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Rename common deploy step 1 tasks"
- Merge "Ignore SR-IOV VFs on dhcp_all_interfaces list"
- Merge "Fix Placement password hiera is not set for Neutron"
- Fix Placement password hiera is not set for Neutron
- Ignore SR-IOV VFs on dhcp_all_interfaces list
- Rename common deploy step 1 tasks

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Swap tasks to avoid non-existing variable error."
- Swap tasks to avoid non-existing variable error.

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ceph_ansible_repo variable on ceph-base"
- Merge "Remove all the "container_cli rmi -f" from HA containers"
- Remove all the "container_cli rmi -f" from HA containers
- Add ceph_ansible_repo variable on ceph-base

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't use pacemaker in ironic sa job"
- Don't use pacemaker in ironic sa job

* Sat Feb 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update ffwd-upgrade branch names"
- Update ffwd-upgrade branch names

* Sat Feb 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "mark scen10 and scen000 update/upgrade non-voting""
- Merge "Fix undefined variable in cinder_backup service."
- Merge "Increase concurrency when starting containers"
- Revert "mark scen10 and scen000 update/upgrade non-voting"
- Fix undefined variable in cinder_backup service.
- Increase concurrency when starting containers

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Use YAML anchors/aliases to reduce playbook task repetition"

* Fri Jan 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- mark scen10 and scen000 update/upgrade non-voting

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove /run bind-mount from mistral containers"
- Remove /run bind-mount from mistral containers

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Create qemu user/group on controller"
- Merge "Fix keepalived logging on disk"
- Fix keepalived logging on disk
- Create qemu user/group on controller

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove stray conditional from aodh-evaluator tasks"
- Merge "Use YAML anchors/aliases to reduce playbook task repetition"
- Use YAML anchors/aliases to reduce playbook task repetition
- Remove stray conditional from aodh-evaluator tasks

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add CellController to multiple-nics ci template"
- Add CellController to multiple-nics ci template

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add DeployIdentifier to extra config containers"
- Add DeployIdentifier to extra config containers

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix hieradata for Heat API timeout"
- Fix hieradata for Heat API timeout

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Switch from 'podman rm' to tripleo-container-rm role"
- Switch from 'podman rm' to tripleo-container-rm role

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add network vip mapping into service data"
- Add network vip mapping into service data

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set region in authtoken middleware settings"
- Set region in authtoken middleware settings

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Correct current cinder-backup image var for upgrades"
- Correct current cinder-backup image var for upgrades

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop NovaEnableNumaLiveMigration"
- Drop NovaEnableNumaLiveMigration

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Check to make sure compute service is deployed before scale down"
- Merge "Drop z flag on /var/run, it prevents redeployment"
- Check to make sure compute service is deployed before scale down
- Drop z flag on /var/run, it prevents redeployment

* Sat Jan 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "HA: reorder init_bundle and restart_bundle for improved updates"
- HA: reorder init_bundle and restart_bundle for improved updates

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update all roles to use the new role name"
- Update all roles to use the new role name

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Force facts cache refreshing before upgrade."
- Force facts cache refreshing before upgrade.

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix incorrect parameter to set max delay in cinder db purge cron"
- Fix incorrect parameter to set max delay in cinder db purge cron

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "split() function expects string not array"
- Merge "Change optparse to argparse"
- split() function expects string not array
- Change optparse to argparse

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "roles: Update description of ComputeRealTime role"
- roles: Update description of ComputeRealTime role

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Raise Heat API WSGI timeout to 600s"
- Raise Heat API WSGI timeout to 600s

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add 'scale-up' upgrade steps for cinder-volume"
- Merge "Add 'scale-up' upgrade steps for cinder-backup"
- Merge "Add 'scale-up' upgrade steps for manila"
- Add 'scale-up' upgrade steps for cinder-volume
- Add 'scale-up' upgrade steps for cinder-backup
- Add 'scale-up' upgrade steps for manila

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Improve documentation for 'NovaComputeCpuSharedSet' parameter"
- Improve documentation for 'NovaComputeCpuSharedSet' parameter

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Assign service role for ironic user"
- Assign service role for ironic user

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix generation of TRIPLEO_CONFIG_HASH for services"
- Fix generation of TRIPLEO_CONFIG_HASH for services

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "roles: Remove use of NovaVcpuPinSet from ComputeRealTime"
- roles: Remove use of NovaVcpuPinSet from ComputeRealTime

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use ansible to install client packages"
- Use ansible to install client packages

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add swiftoperator role on ceph-rgw template"
- Add swiftoperator role on ceph-rgw template

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "container-puppet: remove deprecated directory & json files"
- container-puppet: remove deprecated directory & json files

* Mon Jan 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "clustercheck: use fqdn instead of ip for bind address"
- clustercheck: use fqdn instead of ip for bind address

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix deployment on pacemaker remote nodes"
- Fix deployment on pacemaker remote nodes

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't disable compute cell in scale down tasks for additional cells"
- Merge "Remove environments/services/neutron-server.yaml"
- Don't disable compute cell in scale down tasks for additional cells
- Remove environments/services/neutron-server.yaml

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Open ports for Metrics QDRs"
- Open ports for Metrics QDRs

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "mysql: refactor upgrade tasks to work without paunch"
- mysql: refactor upgrade tasks to work without paunch

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Bypass openvswitch update logic if expected packages are not present"
- Merge "Add novajoin to EndpointMap"
- Add novajoin to EndpointMap
- Bypass openvswitch update logic if expected packages are not present

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "nova: Always provide LIBGUESTFS_BACKEND=libvirt:qemu:///system"
- Merge "Remove references to non-existent services"
- Remove references to non-existent services
- nova: Always provide LIBGUESTFS_BACKEND=libvirt:qemu:///system

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "depends_on: add .service to avoid errors in logs"
- depends_on: add .service to avoid errors in logs

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add 'never' to the tags set for the Ceph systemd units migration task"
- Add 'never' to the tags set for the Ceph systemd units migration task

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Modify import_role to include_role for boot params service"
- Modify import_role to include_role for boot params service

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "horizon: put plugins toggles in quotes"
- horizon: put plugins toggles in quotes

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable external public endpoint for MetricsQdr"
- Enable external public endpoint for MetricsQdr

* Mon Jan 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add missing any_errors_fatal"
- Add missing any_errors_fatal

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "deployment: document keystone_resources"
- deployment: document keystone_resources

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "nova-compute: add tripleo-container-shutdown service dep"
- nova-compute: add tripleo-container-shutdown service dep

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "fix a typo"
- fix a typo

* Fri Jan 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add an experimental test container volume create service"
- Merge "Fix permission error if Barbican is enabled for Swift"
- Merge "Adding hourly option to LogrotateRotationInterval parameter"
- Merge "keystone: fix trailing space"
- keystone: fix trailing space
- Fix permission error if Barbican is enabled for Swift
- Adding hourly option to LogrotateRotationInterval parameter
- Add an experimental test container volume create service

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Manage all Keystone resources with Ansible"
- Manage all Keystone resources with Ansible

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove PreNetworkConfig resource"
- Remove PreNetworkConfig resource

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove previously deprecated deployed-server bootstrap files"
- Remove previously deprecated deployed-server bootstrap files

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use a smaller,static custom mapping file for Mistral and TripleO"
- Merge "HA: Fix the cluster common tag behaviour with podman"
- HA: Fix the cluster common tag behaviour with podman
- Use a smaller,static custom mapping file for Mistral and TripleO

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Limit concurrency in container-puppet to image pull""
- Revert "Limit concurrency in container-puppet to image pull"

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove libvirt packaged dependencies"
- Remove libvirt packaged dependencies

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Hyper-converged SR-IOV role for compute nodes."
- Hyper-converged SR-IOV role for compute nodes.

* Mon Jan 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove upload_validations workflow execution"
- Merge "Introduce CephExtraKeys"
- Merge "Revert "Optional enable undercloud nova-metadata-api""
- Merge "Add ability to deploy glance at DCN/Edge sites"
- Introduce CephExtraKeys
- Add ability to deploy glance at DCN/Edge sites
- Revert "Optional enable undercloud nova-metadata-api"
- Remove upload_validations workflow execution

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use "name" argument for include_role"
- Use "name" argument for include_role

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Create a dedicated log file for healthchecks for collectd"
- Create a dedicated log file for healthchecks for collectd

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Run update without yum update to apply hotfixes."
- Run update without yum update to apply hotfixes.

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Do not configure Hiera and Hieradata in Ansible check mode"
- Do not configure Hiera and Hieradata in Ansible check mode

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Octavia to use correct Puppet class"
- Fix Octavia to use correct Puppet class

* Thu Jan 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix sshd firewall rule

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix nuage firewall rules"
- Fix nuage firewall rules

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use async tasks for long running common tasks"
- Merge "Execute deploy_steps_tasks per step"
- Use async tasks for long running common tasks
- Execute deploy_steps_tasks per step

* Sat Dec 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure Ceph dependencies are installed in pre-provisioned nodes"
- Ensure Ceph dependencies are installed in pre-provisioned nodes

* Sat Dec 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix ceph-grafana firewall rules"
- Fix ceph-grafana firewall rules

* Tue Dec 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pacemaker firewall rules

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move some common tasks to step 1"
- Move some common tasks to step 1

* Mon Dec 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Correct invalid jinja set"
- Correct invalid jinja set

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make pcsd listen on PacemakerNetwork/PacemakerRemoteNetwork"
- Make pcsd listen on PacemakerNetwork/PacemakerRemoteNetwork

* Sat Dec 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "HA: increase resource default op timeout for podman bundles"
- HA: increase resource default op timeout for podman bundles

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Deploy /etc/openstack/clouds.yaml with Ansible"
- Deploy /etc/openstack/clouds.yaml with Ansible

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Limit concurrency in container-puppet to image pull"
- Merge "Update nonha arch env file"
- Merge "keystone/bootstrap: fix identity service name"
- Merge "Provide option to set reserved_huge_pages"
- Limit concurrency in container-puppet to image pull
- Merge "Fix typos in hiera values"
- Update nonha arch env file
- Provide option to set reserved_huge_pages
- Fix typos in hiera values
- keystone/bootstrap: fix identity service name

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Ensure /var/log/journal exists as soon as possible""
- Merge "Add keystone_puppet_config"
- Merge "Use paunch to handle container removal."
- Revert "Ensure /var/log/journal exists as soon as possible"
- Use paunch to handle container removal.
- Add keystone_puppet_config

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Provide utility to generate NodeDataLookup from Ironic"
- Provide utility to generate NodeDataLookup from Ironic

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Mount /boot from the host within the nova-compute container"
- Mount /boot from the host within the nova-compute container

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- mysql: move firewall_rules to mysql-container-puppet

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Create /var/log/journal directory during step-0"
- Create /var/log/journal directory during step-0

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set octavia services' stop grace period to 300sec"
- Set octavia services' stop grace period to 300sec

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Try deleting container for failures too"
- Try deleting container for failures too

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix containers-common.yaml path for RsyslogSidecar service"
- Fix containers-common.yaml path for RsyslogSidecar service

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable healthcheck script in clustercheck service"
- Enable healthcheck script in clustercheck service

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Delegate and run once debug start-at-task messages"
- Delegate and run once debug start-at-task messages

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Install tmpwatch on the overcloud"
- Install tmpwatch on the overcloud

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure /var/log/journal exists as soon as possible"
- Merge "Enable horizon healthcheck"
- Merge "Configure additional info during bootstrap"
- Merge "Update environment var for keystone bootstrap"
- Merge "Use include_tasks instead of import_tasks"
- Ensure /var/log/journal exists as soon as possible
- Use include_tasks instead of import_tasks
- Enable horizon healthcheck
- Configure additional info during bootstrap
- Update environment var for keystone bootstrap

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ClientRetryLimit parameter for heat"
- Add ClientRetryLimit parameter for heat

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add netcontrold service for DPDK roles"
- Add netcontrold service for DPDK roles

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove ceph backend by default for gnocchi"
- Merge "scale: fixes for compute scale down"
- Merge "Add CephGrafana resource to the ControllerStorageNFS role"
- scale: fixes for compute scale down
- Add CephGrafana resource to the ControllerStorageNFS role
- Remove ceph backend by default for gnocchi

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Change default value for NeutronPluginExtensions"
- Merge "Enable additional Swift healtchecks"
- Enable additional Swift healtchecks
- Change default value for NeutronPluginExtensions

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase rabbitmq tcp backlog

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Properly set loopback_users via rabbitmq::loopback_users"
- Merge "HA: enable cluster-common-tag naming scheme by default"
- Properly set loopback_users via rabbitmq::loopback_users
- HA: enable cluster-common-tag naming scheme by default

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Optional enable undercloud nova-metadata-api"
- Merge "Ensure rabbitmq deployment container is restarted at every update"
- Optional enable undercloud nova-metadata-api
- Ensure rabbitmq deployment container is restarted at every update

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "New Parameter NovaCronArchiveDeleteAllCells and NovaCronArchiveDeleteRowsAge"
- Merge "swift-external: deprecate External*Url"
- New Parameter NovaCronArchiveDeleteAllCells and NovaCronArchiveDeleteRowsAge
- swift-external: deprecate External*Url

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make tripleo-ci-centos-7-containers-undercloud-minion depends on pep"
- Make tripleo-ci-centos-7-containers-undercloud-minion depends on pep

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "HA: minor update of arbitrary container image name"
- HA: minor update of arbitrary container image name

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "container-puppet: SystemExit with RC 1 to actually error out"
- container-puppet: SystemExit with RC 1 to actually error out

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add Octavia anti-affinity parameters"
- Merge "overcloud/service_names: merge service_names & enabled_services"
- Add Octavia anti-affinity parameters
- overcloud/service_names: merge service_names & enabled_services

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- deploy-steps-tasks/containers: set concurrency to 2
- Merge "Add keystone::bootstrap hiera data"
- Add keystone::bootstrap hiera data

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Re-enable "service_names" hieradata"
- Merge "Ensure we set proper SELinux label on container-puppet.sh"
- Merge "Fix the Octavia amphora provider driver description"
- Merge "Use ansible for hosts entries"
- Merge "Relax filtering in krb-service-principals jinja"
- Merge "Move the legacy telemetry environment template to correct location"
- Merge "Remove unnecessary slash volume maps"
- Merge "Remove unused post update and upgrade tasks"
- Merge "Revert "Disable ceph dashboard to fix upstream ci""
- Relax filtering in krb-service-principals jinja
- Fix the Octavia amphora provider driver description
- Revert "Disable ceph dashboard to fix upstream ci"
- Re-enable "service_names" hieradata
- Merge "Fix rsyslog issues"
- Remove unnecessary slash volume maps
- Move the legacy telemetry environment template to correct location
- Merge "Disable pxe_tftp systemd services during upgrade"
- Fix rsyslog issues
- Merge "Add healthcheck for nova-virtlogd container"
- Merge "Use yaml.SafeLoader instead of yaml.FullLoader"
- Merge "Create the default storage pool before calling create-node.sh"
- Merge "Fix sed in run-os-net-config to only replace values, not keys"
- Fix sed in run-os-net-config to only replace values, not keys
- Use yaml.SafeLoader instead of yaml.FullLoader
- Remove unused post update and upgrade tasks
- Ensure we set proper SELinux label on container-puppet.sh
- Disable pxe_tftp systemd services during upgrade
- Create the default storage pool before calling create-node.sh
- Add healthcheck for nova-virtlogd container
- Use ansible for hosts entries

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ovn_dbs upgrade-with-os work

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't set all_nodes data as group_vars in check mode"
- Don't set all_nodes data as group_vars in check mode

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make sure glance_api_tls_proxy logs are persisted on the host"
- Make sure glance_api_tls_proxy logs are persisted on the host

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move 'Ensure network service is enabled' after os-net-config has run"
- Move 'Ensure network service is enabled' after os-net-config has run

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use '0' instead of root in container-puppet.py

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Force redis::ulimit to be an integer"
- Merge "Revert "Drop the SELinux flags for openvswitch /var/run directory""
- Force redis::ulimit to be an integer
- Revert "Drop the SELinux flags for openvswitch /var/run directory"

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use public network for external interface"
- Merge "Split QDR environment from collectd"
- Use public network for external interface
- Split QDR environment from collectd

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add a version of the multiple-nics templates with tagged VLANs"
- Add a version of the multiple-nics templates with tagged VLANs

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Derive Pci passthrough whitelist disable option"
- Derive Pci passthrough whitelist disable option

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable recon middleware for swift account/container server"
- Enable recon middleware for swift account/container server

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add the ability to configure ovn-remote-probe-interval"
- Add the ability to configure ovn-remote-probe-interval

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop the SELinux flags for openvswitch /var/run directory"
- Drop the SELinux flags for openvswitch /var/run directory

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add Octavia driver agent service"
- Add Octavia driver agent service

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use list join for rendering rear config file in heat

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- remove references to Skydive (rhbz#1752474)
- [DOWNSTREAM-ONLY] Removal of Director deployed OCP (rhbz#1702694)
- [DOWNSTREAM-ONLY] Enable HA & Podman by default (rhbz#1688747)
- Disable Docker by default, enable Podman by default (rhbz#1677364 rhbz#1726615)
- Merge "Update scale down to fix regression"
- Merge "Drop file test before removal"
- Update scale down to fix regression
- Drop file test before removal

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure "network" service is enabled"
- Ensure "network" service is enabled

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make sure we apply all deploy step-0 during update."
- Make sure we apply all deploy step-0 during update.

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "ovn standalone: Start OVN ovsdb-servers using the kolla startup script"
- ovn standalone: Start OVN ovsdb-servers using the kolla startup script

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo in parameter name"
- Fix typo in parameter name

* Thu Nov 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Adding ReaR THT"
- Adding ReaR THT

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add a scenario000-standalone environment"
- Add a scenario000-standalone environment

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Configure time using tripleo-ansible"
- Configure time using tripleo-ansible

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Check if snmpd is enabled for upgrade_tasks"
- Check if snmpd is enabled for upgrade_tasks

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove configuration options for ldap write support"
- Remove configuration options for ldap write support

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix regression in removing containers in container-puppet.py"
- Fix regression in removing containers in container-puppet.py

* Wed Nov 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Convert firewall rules to use TripleO-Ansible"
- Convert firewall rules to use TripleO-Ansible

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Disable legacy telemetry by default"
- Disable legacy telemetry by default

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo in MySQL upgrade tasks."
- Fix typo in MySQL upgrade tasks.

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add the Octavia log offload parameters"
- Add the Octavia log offload parameters

* Tue Nov 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove duplicate mount in rabbit containers"
- Remove duplicate mount in rabbit containers

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Stop configuring install_command in tox."
- Stop configuring install_command in tox.

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use a systemd service to handle sidecar containers"
- Use a systemd service to handle sidecar containers

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Incorrect group name issue on non DPDK compute"
- Incorrect group name issue on non DPDK compute

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix neutron api TLS issues"
- Fix neutron api TLS issues

* Sun Nov 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "ovn-db standalone: Create ovndbs before starting the OVN ovsdb servers"
- ovn-db standalone: Create ovndbs before starting the OVN ovsdb servers

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Resolve FIXME for NeutronServer mapping"
- Resolve FIXME for NeutronServer mapping

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "container without paunch: set tripleo_container_manage_systemd_order"
- container without paunch: set tripleo_container_manage_systemd_order

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use python -m pip instead pip command."
- Use python -m pip instead pip command.

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Readd creation of /var/log/mariadb directory"
- Readd creation of /var/log/mariadb directory

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Get rid of docker removing in post_upgrade tasks."
- Get rid of docker removing in post_upgrade tasks.

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use ansible role to create puppet cache"
- Use ansible role to create puppet cache

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use distinct params for ca cert in nova-vnc-proxy and nova-libvirt"
- Use distinct params for ca cert in nova-vnc-proxy and nova-libvirt

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Configure SNMP on undercloud"
- Configure SNMP on undercloud

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Updates for dcn/dcn-hci sample envs"
- Updates for dcn/dcn-hci sample envs

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove deployed-server-roles-data.yaml"
- Remove deployed-server-roles-data.yaml

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ManageNetworks parameter"
- Add ManageNetworks parameter

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Added the ability to disable Mellanox SDN sync"
- Added the ability to disable Mellanox SDN sync

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove odl in ComputeSriovIB"
- Remove odl in ComputeSriovIB

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Correct mysql-pacemaker upgrade task"
- Correct mysql-pacemaker upgrade task

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix the amqp presettle option for metrics and events in collectd"
- Fix the amqp presettle option for metrics and events in collectd

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "container-puppet: update 'env' when not null"
- Merge "zuul: remove "files" for openstack-tox-tht"
- container-puppet: update 'env' when not null
- zuul: remove "files" for openstack-tox-tht

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop legacy log folder and readme"
- Merge "Define ovn_dbs_image fact for upgrades."
- Merge "Fix debug hiera keys"
- Merge "Fix typo in OVN upgrade tasks."
- Fix debug hiera keys
- Define ovn_dbs_image fact for upgrades.
- Fix typo in OVN upgrade tasks.
- Drop legacy log folder and readme

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "tox: Keeping going with docs"
- tox: Keeping going with docs

* Thu Nov 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ansible lint check in THT"
- Ansible lint check in THT

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Override policy for undercloud novajoin"
- Override policy for undercloud novajoin

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move globals into main level 0 case"
- Merge "Convert subprocess to a reusable method"
- Move globals into main level 0 case
- Convert subprocess to a reusable method

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix duplicate mount point in neutron_dhcp"
- Fix duplicate mount point in neutron_dhcp

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move basic global functions into ansible tasks"
- Move basic global functions into ansible tasks

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Do not run rendering all_nodes data as group_vars in check mode"
- Do not run rendering all_nodes data as group_vars in check mode

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move bootstrap password to an environment var"
- Move bootstrap password to an environment var

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Pass server metadata to ansible group vars"
- Merge "Set ServerDeletionPolicy during upgrade prepare and converge"
- Set ServerDeletionPolicy during upgrade prepare and converge
- Pass server metadata to ansible group vars

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure service log folder permissions"
- Ensure service log folder permissions

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Disable haproxy when using external LB"
- Disable haproxy when using external LB

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not log startup config output

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add "radvd_user" config parameter to Neutron L3 container"
- Merge "Mode 0750 for /var/log/containers"
- Add "radvd_user" config parameter to Neutron L3 container
- Mode 0750 for /var/log/containers

* Mon Nov 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move KernelArgs and OvS-DPDK deployment to ansible role"
- Move KernelArgs and OvS-DPDK deployment to ansible role

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add in-flight validation for keystone container"
- Merge "Install and start Rsyslog on the Undercloud & Standalone"
- Install and start Rsyslog on the Undercloud & Standalone
- Add in-flight validation for keystone container

* Sat Nov 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Honor Debug for container image prepare"
- Honor Debug for container image prepare

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add an environment to disable Paunch

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "ml2-ansible: Set api_max_retries when net-ansible is used"
- ml2-ansible: Set api_max_retries when net-ansible is used

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Adds ceph-systemd tag in external_upgrade_tasks for systemd units"
- Adds ceph-systemd tag in external_upgrade_tasks for systemd units

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "container-manage: use new variables"
- Merge "Create an endpoint entry for novajoin"
- container-manage: use new variables
- Create an endpoint entry for novajoin

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Correct ovn-dbs upgrade image id variable"
- Correct ovn-dbs upgrade image id variable

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove EC2 api"
- Remove EC2 api

* Wed Oct 30 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add experimental support to deploy containers without Paunch

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add NovaAZConfig service to compute roles"
- Merge "Restart certmnonger after registering system with IPA"
- Merge "Replace chronyc "waitsync" with "makestep""
- Restart certmnonger after registering system with IPA
- Replace chronyc "waitsync" with "makestep"
- Add NovaAZConfig service to compute roles

* Sat Oct 26 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Configure amphora for upload and run tempest"
- Configure amphora for upload and run tempest

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Generate startup configs files per step and per container"
- Generate startup configs files per step and per container

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set octavia-ansible dir ownership to Ansible user"
- Set octavia-ansible dir ownership to Ansible user

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Added the connection_logging parameter for Octavia"
- Added the connection_logging parameter for Octavia

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "deploy-steps-tasks: remove duplicate "when" for paunch debug"
- Merge "Drop the overcloud designation for deploy steps"
- Merge "Use single quotes for --start-at-task debug tasks"
- Merge "HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle"
- Drop the overcloud designation for deploy steps
- Use single quotes for --start-at-task debug tasks
- HA: ensure TRIPLEO_MINOR_UPDATE is defined for <svc>_restart_bundle
- deploy-steps-tasks: remove duplicate "when" for paunch debug

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add configurable monitor timeouts for ovn dbs"
- Add configurable monitor timeouts for ovn dbs

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "OVN: Add ovn_emit_need_to_frag configuration option"
- Merge "Fix "neutron-mlnx-agent.yaml" to use the new Role ComputeSriovIB"
- Merge "Fix placement_wait_for_service"
- OVN: Add ovn_emit_need_to_frag configuration option
- Fix placement_wait_for_service
- Fix "neutron-mlnx-agent.yaml" to use the new Role ComputeSriovIB

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "memcached: do not run memcached from a bash process"
- Merge "Deprecate deployed-server-roles-data.yaml"
- Deprecate deployed-server-roles-data.yaml
- memcached: do not run memcached from a bash process

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable healthcheck for ironic-neutron-agent"
- Enable healthcheck for ironic-neutron-agent

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove OpenDaylight templates and environments"
- Merge "Connect collectd to QDR instead of Gnocchi"
- Connect collectd to QDR instead of Gnocchi
- Remove OpenDaylight templates and environments

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Derives NovaPCIPassthrough per SR-IOV node"
- Derives NovaPCIPassthrough per SR-IOV node

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable ceph dashboard to fix upstream ci

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Simplify octavia post deploy configs"
- Simplify octavia post deploy configs

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix missing environment variable in rabbitmq_init_bundle"
- Fix missing environment variable in rabbitmq_init_bundle

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update master for stable/train"
- Update master for stable/train

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add posibilities to set ovn_openflow_probe_interval for controller"
- Merge "Add SQLAlchemy-collectd support"
- Add posibilities to set ovn_openflow_probe_interval for controller
- Add SQLAlchemy-collectd support

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "remove SensuClient from ComputeSriovIB role"
- Merge "Less agressive cleanup of docker containers in post_upgrade_tasks"
- Less agressive cleanup of docker containers in post_upgrade_tasks
- remove SensuClient from ComputeSriovIB role

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix update of non HA container during update."
- Fix update of non HA container during update.

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud hosts entries in overcloud nodes"
- Undercloud hosts entries in overcloud nodes

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set bridge-nf-call-* values to 1"
- Merge "Revert "Temporaily disable nova inflight healthchecks to unblock the gate""
- Set bridge-nf-call-* values to 1
- Revert "Temporaily disable nova inflight healthchecks to unblock the gate"

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Normalise all pacemaker resource upgrade tasks for staged upgrades"
- Normalise all pacemaker resource upgrade tasks for staged upgrades

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Convert container environment from a list to a dict"
- Convert container environment from a list to a dict

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ability to collocate pinned and unpinned instance on same host"
- Add ability to collocate pinned and unpinned instance on same host

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add missing step tag in updates/upgrades/ffu tasks"
- Add missing step tag in updates/upgrades/ffu tasks

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Revert "Add support to configure token caching""
- Revert "Add support to configure token caching"

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Workaround ovn cluster failure during update when schema change."
- Workaround ovn cluster failure during update when schema change.

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Deprecate kubespray kubernetes install"
- Deprecate kubespray kubernetes install

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add compute role "ComputeSriovIB" for infiniband deployments"
- Add compute role "ComputeSriovIB" for infiniband deployments

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Permit access to Ceph RGW for 'member' role"
- Permit access to Ceph RGW for 'member' role

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use OS::TripleO::Services::Logging::NovaLibvirt to configure libvirt logging"
- Use OS::TripleO::Services::Logging::NovaLibvirt to configure libvirt logging

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud ctplane router for IPv6 RA's idempotent"
- Undercloud ctplane router for IPv6 RA's idempotent

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update deprecated name of DockerRsyslogConfigImage"
- Merge "Use parameter for ipv6 address mode"
- Use parameter for ipv6 address mode
- Update deprecated name of DockerRsyslogConfigImage

* Sat Oct 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Use update_serial as an ansible variable"
- Use update_serial as an ansible variable

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove python executable print"
- Merge "Add toggle to enable/disable Paunch for a deployment"
- Add toggle to enable/disable Paunch for a deployment
- Remove python executable print

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure nova-api is running before starting nova-compute containers"
- Ensure nova-api is running before starting nova-compute containers

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix multiple-nics network config ExternalMtu"
- Fix multiple-nics network config ExternalMtu

* Fri Oct 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix double cert mount in haproxy bundle when using tls everywhere"
- Fix double cert mount in haproxy bundle when using tls everywhere

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable health check for metrics_qdr container"
- Merge "Remove sensu-client service"
- Merge "move multinode scen006 to experimental"
- Merge "Remove Tacker service"
- Remove sensu-client service
- Remove Tacker service
- move multinode scen006 to experimental
- Enable health check for metrics_qdr container

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add environments dcn.yaml and dcn-hci.yaml."
- Add environments dcn.yaml and dcn-hci.yaml.

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add posibilities to configure OVNNorthboundServerPort in split stacks"
- Add posibilities to configure OVNNorthboundServerPort in split stacks

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix Manila when run without pacemaker"
- Fix Manila when run without pacemaker

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add DHCPv6 rules + set ipversion for dhcp rules"
- Merge "Collectd-sensubility"
- Add DHCPv6 rules + set ipversion for dhcp rules
- Collectd-sensubility

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add missing role name to Host prep steps task"
- Merge "Add support to configure token caching"
- Merge "Support connecting OVN DB over SSL"
- Add missing role name to Host prep steps task
- Support connecting OVN DB over SSL
- Add support to configure token caching

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix placement of Octavia services in roles"
- Merge "Remove plumgrid support"
- Remove plumgrid support
- Fix placement of Octavia services in roles

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Move nested bash script into a real file"
- Move nested bash script into a real file

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Prevent running mysql data transfer twice by accident"
- Prevent running mysql data transfer twice by accident

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Deprecate EC2 API"
- Merge "Allow using registry authentication to pull ceph related containers"
- Merge "Replace include_role with import_role"
- Allow using registry authentication to pull ceph related containers
- Replace include_role with import_role
- Deprecate EC2 API

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix typo"
- Fix typo

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update deprecated name of Rsyslog container Image"
- Update deprecated name of Rsyslog container Image

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop support for uuid token provider"
- Merge "Add multi region support in nova_wait_for_compute_service.py"
- Merge "Add support for Neutron Multi interface driver"
- Add support for Neutron Multi interface driver
- Drop support for uuid token provider
- Add multi region support in nova_wait_for_compute_service.py

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add prometheus port parameter"
- Add prometheus port parameter

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fixed the path for neutron-base.yaml"
- Fixed the path for neutron-base.yaml

* Wed Oct 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove leftovers after NeutronExternalNetworkBridge option"
- Remove leftovers after NeutronExternalNetworkBridge option


